commit b8b7739bd0775dce8a8e1443ed5b608f00a911d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 28 10:01:17 2024 -0400

    comment

commit 426830dbb6da8efa100a73db23ddcb0de5e4fdae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 28 10:00:35 2024 -0400

    no longer disabling IPv6
    
    because whonix-firewall has been ported to nftables,
    which covers both, IPv4 and IPv6

commit 5e3cfad435c7f93bff33ed8d7cad05cc999e4eb3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 28 09:59:34 2024 -0400

    make sure that IPv6 forwarding is disabled
    
    by setting sysctl `net.ipv6.conf.all.forwarding = 0`

commit f8c03cf135c500c33e5e6dbe86fa4e330eddbbea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 28 09:56:17 2024 -0400

    fix comment

commit e1a07cbf154ff25e476d1f26fda65579e3d6c564
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 20 16:17:29 2024 +0000

    bumped changelog version

commit 1c145302ef1ba30082889268a5a632accb66c0a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 20 12:15:36 2024 -0400

    connect to public Tor network by default / avoid Anon Connection Wizard (ACW) popup at first boot
    
    https://forums.whonix.org/t/connect-to-public-tor-network-by-default-avoid-anon-connection-wizard-acw-popup-at-first-boot/17848

commit d2738b339b182506a123b3f0b8ee1b17e84785d4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 17 12:26:52 2024 +0000

    bumped changelog version

commit ef45061ce0cc74c143c4502e88555e3217d676d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 17 07:24:34 2024 -0500

    disable vanguards because broken in combination with Tor 0.4.8.9
    
    https://forums.whonix.org/t/connections-drop-on-tor-0-4-8-9/17702
    https://gitlab.torproject.org/tpo/core/tor/-/issues/40892
    https://github.com/mikeperry-tor/vanguards/issues/100
    https://github.com/QubesOS/qubes-issues/issues/8726

commit 01fb5c7ee09b95e3e94993c3b43981ce3b06cd0d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 12:39:48 2024 +0000

    bumped changelog version

commit 6a62edcd38dbebb2ecfc91b7f3430dd98bfa460e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 2 07:32:54 2024 -0500

    usrmerge debhelper systemd Debian package maintainer scripts fix

commit 1db62fe4996c225ec6f033c6b2fed762c76143ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 12:52:43 2024 +0000

    bumped changelog version

commit 39459c2a61094b211a973c41c7d1181a88972e02
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 22 07:01:37 2024 -0500

    usrmerge

commit 79866d4561a43eeebf6826da0ed8b503f88d5fb1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 20:28:10 2023 +0000

    bumped changelog version

commit 636d70d4d7c0ceec48ae1d072f3b8a7572983586
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Nov 11 13:41:25 2023 -0500

    change license to AGPL-3+
    
    https://forums.whonix.org/t/license-change-to-agplv3/17455

commit d5eb43c54980160460affd43b7c2958bf9378a6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 10:55:33 2023 -0400

    bumped changelog version

commit 14790ece543d86532cd88558f5e2d375f7d7d03a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 15 10:37:01 2023 -0400

    set `CookieAuthentication 1`
    
    to fix a the following warning even if inapplicable:
    
    Oct 15 14:04:17.408 [warn] ControlPort is open, but no authentication method has been configured.  This means that any program on your computer can reconfigure your Tor.  That's bad!  You should upgrade your Tor controller as soon as possible.

commit 1a225d86b63856b8e7afd0a200a5657098ad1622
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 09:09:40 2023 -0400

    bumped changelog version

commit 03323d4ce4529ca604842a673fa35c74e2ec7175
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Oct 11 08:56:05 2023 -0400

    wayland

commit 031a185637fe632791012b072e50bfbe6e00cdc4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 08:46:59 2023 -0400

    bumped changelog version

commit ca44b5a2209a1f093f6f491f94b62ea40af35435
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Oct 10 08:00:11 2023 -0400

    comment

commit cea809eb636dd7ec1e84791e3fee70eb5748365a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 06:32:20 2023 -0400

    bumped changelog version

commit 029b57c7204d6c05e418717844379f2b4461882e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 8 04:37:58 2023 -0400

    wayland

commit 28a501ad7b99d976c2274568d7f4a57304a4148d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 04:13:01 2023 -0400

    bumped changelog version

commit f895e69ab5e2d656fe91ae6010ab1ddb838f9324
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 7 04:10:42 2023 -0400

    tordata, torrc shortcuts: Wayland compatibility

commit cc324d0ff71bc7f3509eadcbaa84ccc5d4f41e0f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 15 05:10:13 2023 -0400

    bumped changelog version

commit acba79448b8a70ba0aef5bd8c54f0aa88e613522
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Sep 15 05:06:44 2023 -0400

    Tor Browser onion-grater profile add:
    
      events:
        CIRC:
          suppress: true

commit cd0709e0c71993121c75ee1c5d4d360b0c951b45
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 9 06:16:09 2023 -0400

    bumped changelog version

commit e56371d0e0c67fcbef2bff2a35784fb5f7d9aa9a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 9 06:15:11 2023 -0400

    readme

commit c12127a3474ec088d73d00064a3a59e690c3a14f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 3 12:02:14 2023 -0400

    bumped changelog version

commit ef1f27974fcd59773f679ed17e5a4d293b72ea2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jul 3 12:01:45 2023 -0400

    fix, run replace-ips in Qubes when Tor is restarted

commit 208405f8f9c2a90fdabcc271d2d9c445840e2696
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:41:24 2023 +0000

    bumped changelog version

commit ff9f3d4d03c272146facc8fa553e104d639d32d4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 21 09:11:33 2023 +0000

    bookworm

commit 5bbe419efd40d45f25c1d554613a5704f9389179
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 11:11:52 2023 +0000

    bumped changelog version

commit 45b4426b5cc5af1634f78a294e9384dc291749b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 16 10:49:07 2023 +0000

    readme

commit 5dadb9a4dbd2613077f9938bf6a94bd82e6f5105
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jun 15 17:07:40 2023 +0000

    bumped changelog version

commit 7473353d33777228802f3532f608db603d98a93d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 13:14:49 2023 +0000

    copyright

commit c8813996bc927c365a740c69391cf91abd90325c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 10:20:26 2023 +0000

    bumped changelog version

commit c40dc92c2db86c48505a251386d035a0fae6d47e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 10:18:14 2023 +0000

    bookworm

commit eccc6ef23057908f722520ec60fa21f204583e02
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 10:03:20 2023 +0000

    bumped changelog version

commit 34a773e8ac8e9c0f67d221492099360addeab755
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 14 09:27:45 2023 +0000

    bookworm

commit e0b3a3cac4f2f1f109d00c7b1853c622e31b93d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 18:12:06 2023 +0000

    bumped changelog version

commit 900a56ae01ddea114af227a886b72c3574d1dcc7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 16:22:34 2023 +0000

    Standards-Version: 4.6.1.0

commit a3b562656b7399b50d6d20cfa1b66967e50bcd37
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 15:36:20 2023 +0000

    bumped changelog version

commit f1224673948c15e884aaa96071491b2641b226b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:52:03 2023 +0000

    update copyright year

commit 1812d6ab32aed176c37c6b25e5c099745fcce27e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 24 08:57:05 2023 -0500

    bumped changelog version

commit a4d20b8d295aa56dc25d381f7cc4cc12417a8d11
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 24 08:56:41 2023 -0500

    systemctl --system daemon-reload

commit a8e22fcd67a925bbd71b52743b75541a963b3dad
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 24 08:53:39 2023 -0500

    cleanup

commit 795ccd642611e3cc9814be84b78a499777cf3e95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 24 08:47:10 2023 -0500

    bumped changelog version

commit cf35a5025573c2f2052c7c6baecfeae4f071d00c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 24 08:45:39 2023 -0500

    add workaround for upstream bug Tor fails to start a few times before succeeding to start
    
    https://forums.whonix.org/t/failed-to-start-anonymizing-overlay-network-for-tcp-tor-fails-to-start-a-few-times-before-succeeding-to-start/16289/12
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1029554

commit 72d9a3afbf90fac2b81a066eee0ee512b194eb9a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 15 03:44:57 2023 -0500

    bumped changelog version

commit b2a4539afd403ca9558db95a638282845350c67d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 15 03:38:17 2023 -0500

    anon-log: minor fix, output errors to stderr instead of stdout

commit 31121526c5456a4bc8dd98dceb67a588661593e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 15 03:37:37 2023 -0500

    anon-log: use journalctl instead of /run/tor/log

commit b7c5b859f64f7a2ecd07eb13d96d221ec5cc8d0f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 15 03:36:01 2023 -0500

    refactoring

commit 2825d6af98e5c83489f0527d9eacb1db1e59d5e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 24 10:05:00 2022 -0400

    bumped changelog version

commit 51807728b1dbba9bd21612d9bc87b585a539140d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 24 10:04:46 2022 -0400

    genmkfile manpages

commit 1d8749bb024c75629de79afd7eb227d27fdf6f3b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 24 10:04:34 2022 -0400

    typo

commit de2512647c8490e149de3dd7b812e9becc56a858
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 24 09:59:45 2022 -0400

    bumped changelog version

commit 978da2e244b27983e3dc51368f88d204effbe2ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 24 09:59:29 2022 -0400

    genmkfile manpages

commit 341baf0be08362b9caf40b9c99bedfb0bf54fa3d
Merge: 562aab7 0abecd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 24 09:58:57 2022 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit 0abecd9f2f77b41e53971aad7a6cc673aeff0fa2
Merge: 562aab7 6a531fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Oct 24 09:58:34 2022 -0400

    Merge pull request #4 from nyxnor/listing
    
    add onion-grater-list manpage

commit 6a531fd46f07f79b9dfb564f2cf7b1fd867c2fda
Author: nyxnor <nyxnor@protonmail.com>
Date:   Mon Oct 24 12:15:32 2022 +0000

    add onion-grater-list manpage

commit 562aab7f7495cec98c0eb8846cdfb203ccb3a654
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 22 11:02:39 2022 -0400

    bumped changelog version

commit e34f55f43c76c291a7e4fc4be4e11af966493d6c
Merge: aba31a9 4ada934
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 22 10:59:00 2022 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit 4ada934ccc89c2d3bb4e6417e8f70a3aa75558d5
Merge: aba31a9 6ca9097
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 22 10:58:06 2022 -0400

    Merge pull request #3 from nyxnor/listing
    
    improve onion-grater-list

commit 6ca9097f099d8848858793d6c5e56b2da183522e
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Oct 21 12:38:07 2022 +0000

    improve onion-grater-list

commit aba31a97afefaa8688ca60e06f1be6473a5a6f7c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 20 18:33:16 2022 -0400

    bumped changelog version

commit 573c9b5f590590f53c9920854f408358c2ac6622
Merge: 5734431 6fed802
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 20 18:03:57 2022 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit 6fed8020ac051e597ea7cc6c9ea153c9a415a169
Merge: 5734431 12e9103
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Oct 20 18:00:27 2022 -0400

    Merge pull request #2 from nyxnor/listing
    
    add onion-grater-list

commit 12e9103b7d84ca602d6a3951a82d041e36dd4da0
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Oct 16 22:32:06 2022 +0000

    add onion-grater-list

commit 5734431ccbcc85410b19b7bed671d663a88be2b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 21 14:41:47 2022 -0400

    bumped changelog version

commit 32368cbbcc4f09302836fba67a58f927514ac141
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 21 14:37:46 2022 -0400

    fix AppArmor

commit 026bc29997ef9d76bfbabfc542416d930ef349f4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 13 11:40:47 2022 -0400

    bumped changelog version

commit 3e16fad210bc03b18320bf740238966d85c504cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Aug 13 11:36:05 2022 -0400

    addgroup -> adduser fix

commit d0ba5d5ed4f6e735441b75fb12b65a748a9e7861
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 16 08:01:05 2022 -0400

    bumped changelog version

commit 53b7a34e841ed104fcee400975462ad52998369d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 15 07:29:24 2022 -0400

    description

commit 57e663730d0cd63f9a6c62198937c6dda6c62b98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 11:29:05 2022 -0400

    bumped changelog version

commit 5405ff8cf17574378b760588ffc808ad176b15e4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 11:27:30 2022 -0400

    debugging

commit 0f7710d07bdd4bbe77349582646ab97f9464bdee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 11:26:17 2022 -0400

    debugging

commit 0860569d70a4c115766de8372394cb3ebaeb3aae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 10:40:21 2022 -0400

    bumped changelog version

commit 313a86edefdbdb060e4a130703f3d2321b1124f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 08:28:29 2022 -0400

    output

commit d619a1bf3edeb463dfb75dde15f870e910da6965
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 08:26:20 2022 -0400

    improve anon-verify output

commit f36573aadb188820cdbd1be569bd595070b466df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 08:20:14 2022 -0400

    output

commit 02f368f72e03e202f1b4e749678d48c4b6396eba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jul 9 08:18:39 2022 -0400

    anon-verify: fix enumeration of all Tor config drop-in snippets
    
    for new `%include /etc/torrc.d/*.conf` syntax

commit d1d1aa012b4ea628029d1b2e9d73589e332056aa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 11:11:48 2022 -0400

    bumped changelog version

commit a0a967d4905ef58be9e32627c62cf8fb0665ad9c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 09:04:54 2022 -0400

    remove unicode

commit 1c43d851744aa7f08aa29037e514f87aca6808c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 13:03:28 2022 -0400

    bumped changelog version

commit decc367b9412c6171a18a496744353637353cc8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 12:59:35 2022 -0400

    remove torrc-d-cleaner
    
    since no longer required because Tor now has wildcard support
    and is configured to parse config files ending with `*.conf` only.

commit 827c46e6ec1899ca78200ca626961ebb9aa1e914
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 12:53:48 2022 -0400

    run repair-torrc from tor-config-sane

commit b96e06df7152c19756744f06e0e7aee1fd94a2f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 12:36:36 2022 -0400

    bumped changelog version

commit 3dd761b7a745496e9ad27ef4b8275262175aa1a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 11:07:34 2022 -0400

    only `%include` config files ending with `*.conf`
    
    https://www.whonix.org/wiki/Dev/Tor

commit 0c083154890edf39829ab9038ba5d556f4295395
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 11:04:45 2022 -0400

    cleanup, remove workaround for old bug
    
    https://forums.whonix.org/t/configuring-onion-service/9042

commit 3d9ba1f191963748bc38469357b536b2cfdd5495
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 10:56:05 2022 -0400

    bumped changelog version

commit e8189b7b9cf72eae1d6dcffd863edd4eb8a79ec1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 10:54:34 2022 -0400

    downgrade copyright to avoid Tor Duplicate Config File Restart Bug
    
    https://www.whonix.org/wiki/Dev/Tor#Tor_Duplicate_Config_File_Restart_Bug

commit 1ed770e5cd22d27f46199eb02f546edfcacc3149
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 10:26:04 2022 -0400

    bumped changelog version

commit 032aedbdba67fcf2697d946afdf2c980957bba0b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 27 10:23:55 2022 -0400

    workaround for Tor Duplicate Config File Restart Bug
    
    https://www.whonix.org/wiki/Dev/Tor#Tor_Duplicate_Config_File_Restart_Bug

commit 3b3ad2c9aa74e5c3c1a11bc85526d0391af8e291
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:36 2022 -0400

    bumped changelog version

commit e88aadb71a63a6e4e5d2f2fb138bcbae798adaaf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:13 2022 -0400

    readme

commit b45ef8f4fd446d32d48dd5f98660ce32f068d3f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:42 2022 -0400

    copyright

commit 967b31c42b4ed06cdad0170f9cb545cb61761c0b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:19 2022 -0400

    readme

commit c153035cc52fcaf59133ca2ea627b69463d36bc7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 22 09:39:08 2022 -0400

    rename

commit c0d9e66dd3d5d84bdce9caeab6d4c1c5624dbfe0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 10 14:06:10 2022 -0500

    bumped changelog version

commit 39f623f968bb1e143e3c402f008e7c0f7b71a817
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 10 13:58:57 2022 -0500

    fix Tor Browser 11.06 - New Identity function error message
    
    suppressed subscription to event 'STREAM
    
    related to:
    https://www.whonix.org/wiki/Tor_Browser#New_Tor_Circuit_Function
    
    Thanks to @torjunkie to the bug report!
    
    https://forums.whonix.org/t/tb-v11-06-new-identity-function-error-message/13326

commit 59e5d82385062fa827aa4191911cdd6e928c3231
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:58:33 2022 -0500

    bumped changelog version

commit 2ee2f10eb0115f6b49d6c10df33b35ef9c1db12d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:55:37 2022 -0500

    arm -> nyx

commit 531ed3602fb0df5ed159e6eed32726ea0c30bf9a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:54:40 2022 -0500

    lintian

commit d37cdaf3357619784a9e7bb23b1afd8074611850
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:51:52 2022 -0500

    bumped changelog version

commit 0ac977c2ba3b636ed8402e2bf76b3214276bec3a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 19 07:45:55 2022 -0500

    renamed:    usr/share/applications/gateway-arm.desktop -> usr/share/applications/gateway-nyx.desktop

commit 90b2d4bad68cb613295b4e55b6c918e0f703e220
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 06:12:22 2022 -0500

    bumped changelog version

commit 822fe4e4f79dc9f0a3b24ce8a78d6908edbc5985
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 05:45:39 2022 -0500

    fix onion-grater-remove

commit af6ae453c1423cc66a038da7a331e43b525e8a20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:27 2021 -0500

    readme

commit ff1cca0ad4fb3464365df895edba0ee1fabdd9ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 23 10:58:35 2021 -0400

    bumped changelog version

commit a4977845b00c43253bbcd7972bf91ddf88497f0f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Sep 23 10:16:36 2021 -0400

    moved anon-consensus-delete to helper-scripts (as anon-consensus-del)

commit b0490ad34cde3ca9350d625f641e6fff1fb0ca19
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:30:41 2021 -0400

    bumped changelog version

commit 0a2cc618c7cb993515018d6126fbc9d3a23835a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:03 2021 -0400

    readme

commit 98a67dc65f7c5cda1922bac7dd109dfe11de9f6a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:24:54 2021 -0400

    bumped changelog version

commit 3748d4e5cd63356b28385213ec53dbf3847128a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:20:45 2021 -0400

    LANG=C str_replace

commit 3fcdbf6be7708694856a56b3561aac9c6d19297f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Aug 16 15:04:48 2021 -0400

    bumped changelog version

commit 94a0e709962d9cfd2541d307e89b44503e85b2ab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 15 05:50:18 2021 -0400

    output

commit e5be226b99f0a94071525bbca14a1e4d64f1c165
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:27:20 2021 -0400

    bumped changelog version

commit 0311c382dc74ec25eb777dbac0917829cbdc358a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 15:04:38 2021 -0400

    lintian FHS

commit ac262118ab2dd3982a2f642b9706dd08c2faaff6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 15:03:58 2021 -0400

    lintian FHS

commit df71a2ef5e8152ce9e1cb0e09b883615848207bd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 14:54:38 2021 -0400

    lintian FHS

commit a379633a894d0f61d4adcfda6415df7f30195d6b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 14:54:09 2021 -0400

    lintian FHS

commit 48daa4c8e6e8341323e87ed8804f62e15d2b7fa4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 06:42:11 2021 -0400

    move /usr/lib/msgcollector to /usr/libexec/msgcollector as per lintian FHS

commit 2503701404c7caa5f87ace2fe70b5df418ac7b1e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:50 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit b8beae11f260f0b80dfed7dc8e3eb66316956ec9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:31 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit c95a91c53a52b175cbbe95baba7568cb75b41e04
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:41:26 2021 -0400

    man page

commit b91ae0a34dff0603c323444b774f66ad40f79ccc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:15 2021 -0400

    bullseye

commit f38183132bd74c011635bf1a85eea7d526b8da5e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:16 2021 -0400

    readme

commit 48c4e4189eadcdca688d21c40fe0a90294a21fc0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 23 06:49:20 2021 -0400

    bumped changelog version

commit b35428a33f790b60fda382658eb85f2062f2622e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 23 05:35:30 2021 -0400

    actually `ControlPort 9052`

commit 8648d8ad040d965f8018b542b033e3c6bcf8e498
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 23 05:34:10 2021 -0400

    `ControlPort 9052`
    
    Required for onion-grater updates.
    
    https://gitlab.torproject.org/tpo/core/tor/-/issues/25173

commit bcaf2266858070a27d50c23955c111d8f2bf4034
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 5 08:31:07 2021 -0400

    bumped changelog version

commit 83af7c4a09d1309ddb0c01ca3d621d5a838cb328
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 5 08:27:00 2021 -0400

    comment

commit 318ed23df36c3d26a7c74dfe1f5beeda9b345039
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 2 01:21:32 2021 -0400

    comments

commit ccec1901c35cd40c51206379133a49713afe4473
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 18:42:25 2021 -0400

    bumped changelog version

commit 57e1b3a3678b3026a2ab30b031f42f4ca7f4f173
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 18:28:57 2021 -0400

    reload apparmor profiles after installation
    
    to make package work after installation
    
    no longer requiring reboot

commit 3242a0fc37b24847a6168cd7563af9ab582dbb4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 7 16:44:34 2021 -0400

    part of fixing meek lite in Whonix
    
    add /usr/lib/anon-gw-anonymizer-config/edit-etc-resolv-conf
    
    https://forums.whonix.org/t/censorship-circumvention-tor-pluggable-transports/2601/9
    
    https://forums.whonix.org/t/whonix-gateway-cli-15-0-1-5-4-meek-azure-bridge-tls-error/11383
    
    Thanks to @Bl3ckJ4ck for the bug report!

commit 74ad7f44fde4094c895d2c42c4e2d7cea96b4804
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:59:20 2021 -0400

    bumped changelog version

commit cd05f7d30a4109fb0415ef77ab2f5a9dc2b64797
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:17 2021 -0400

    copyright

commit 980fa7059452d973a7c10865720f89a227387ec9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 07:41:08 2021 -0400

    bumped changelog version

commit 008b783ce3fad58dee5cfd6b9f8394dd24696167
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 07:39:02 2021 -0400

    copyright

commit 17b911a68b17515c235a84dd3edbb1f2bdf94e49
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:52:09 2021 -0400

    bumped changelog version

commit 85498a6cfbbc4efedb1e3843940e4f48f1c18e71
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:09 2021 -0400

    copyright

commit 4a2b8f659b57de3b2a3bfddf9b3d66226e3e6f1f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 15 06:46:27 2021 -0400

    bumped changelog version

commit 9665b4936d94e53265b600b86fb7dc520470464d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 14 06:20:50 2021 -0400

    disable debsums during postinst since too slow

commit 1804e44c6951b69a0daed46967335f6d6bad79c0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 16:48:54 2021 -0500

    bumped changelog version

commit 89da9639fac2b71a0766e2ea2336d50966031a19
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 16:48:36 2021 -0500

    fix

commit f1a228c68eb18bb8669abfc288cc9f9f8395c98a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 14:30:58 2021 -0500

    bumped changelog version

commit f7e0284b92760c4765a7767e3b4ffb3477fcd202
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:24:57 2021 -0500

    output

commit 231f008895a00d7a94ac0ade635b70c9a53c2625
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 13:23:36 2021 -0500

    show output of `debsums -ce | grep torrc` during postinst

commit 1e035d0dac02f32f974ad0c787e69f4116a28609
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 12:58:11 2021 -0500

    refactoring

commit 97baabc4b71abf6395ef0d1815cd63e74b7da050
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 11 12:57:10 2021 -0500

    /usr/lib/anon-gw-anonymizer-config/torrc-d-cleaner: fix
    
    Avoid moving
    `/etc/torrc.d/95_whonix.conf`
    to
    `/etc/torrc.d/backup/95_whonix.conf.dpkg-new`
    during `anon-gw-anonymizer-config` package upgrades.

commit 4845ebd87d58c30b1ff51366439121a4e63bdddb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 15 09:23:13 2021 -0500

    bumped changelog version

commit 61d52e17e0a6f1501a5e0804baa5954c9859f5d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 15 09:23:12 2021 -0500

    readme

commit 405efd24f1b06484338c3592b62672f45ec6c105
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 12 03:41:10 2021 -0500

    comments

commit 499fa94ac93d6e5dbc1593bda0458ef107cca38f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 12 03:31:32 2021 -0500

    disable the following Tor stream isolation ports
    
    - privoxy 9112
    - polipo 9113
    - Tor Browser Updater by Whonix Developers gpg 9116
    - TorChat 9119
    - mixmaster update 9120
    - mixmaster 9121
    
    since deprecated applications in Whonix and no longer in use

commit 7f169a4290548648bd028a9bf5881497714ba31c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Feb 5 04:40:08 2021 -0500

    bumped changelog version

commit c5983d63070db85ff58804c33e4863d7cb7ad716
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 5 01:50:12 2021 -0500

    comment

commit 6eaab480653df9ed1b69394af677b8a91bfed5f4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 11:47:39 2021 -0500

    bumped changelog version

commit 2fc814a3052d6c1bcd91fb2a89587fd917ec62d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 3 09:04:16 2021 -0500

    comment

commit 379167719aded9c3f24da002cd8c11b4af05e1b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 09:46:42 2021 -0500

    bumped changelog version

commit b72d065647408cef0163259c2afc0855c8aa8f0e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 26 07:06:39 2021 -0500

    whonixcheck -> systemcheck migration

commit 0181f724fb44c9369bca9a50b7440ce53e3563b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 23 04:40:26 2021 -0500

    bumped changelog version

commit 8eacf8c174da6e0acdac19d26ff714561f839f02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 23 02:54:24 2021 -0500

    genmkfile manpages

commit 56be83b84b9533ada66dd6d84105d1184d0cbb93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 23 02:53:58 2021 -0500

    add anon-consensus-delete

commit 5e165f6806f71e7308412f9399b2f5907012105d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 20 06:51:42 2021 -0500

    improve anon-log

commit e57d0671259954a647f9193a515aff0f07fd1ade
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 20 06:45:25 2021 -0500

    improve anon-log

commit b945c9aa89c511672be21209a011d9eda71d6ef9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 20 06:24:25 2021 -0500

    genmkfile manpages

commit 406abc931bc69596f0b1502d37df51b2e1fde964
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 20 06:12:59 2021 -0500

    add anon-log
    
    anon-log is a user-friendly wrapper around the journalctl in Whonix to view Tor related log entries while filtering out irrelevant log output, non-issues.

commit c35eced67cea4c5f192c0f6d06525c032dc067cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 07:28:22 2020 -0500

    bumped changelog version

commit 520f232dd68dafd9e66f0c78a37ebc3223d691c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 07:22:58 2020 -0500

    install no longer no longer required auditd by default
    
    https://phabricator.whonix.org/T537

commit c6c9ff020c1f6b07e1767a6aed1c977e740da615
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 11:52:50 2020 -0500

    bumped changelog version

commit 75ff19ab66d847c7df86a0e8d105ad473632ae86
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 11:52:49 2020 -0500

    readme

commit 41e6567e6dce29f7d6776b23adf9df1fd0ff221e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 14 07:55:56 2020 -0500

    IP HARDCODED

commit 50190fd955e63e8b4b4c99a2a2945c214238b472
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 08:31:37 2020 -0400

    bumped changelog version

commit 4a0f3e7e7697d125d625961d53ae8e2b449ec1de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 08:24:11 2020 -0400

    restart/reload anon-gw-anonymizer-config.service first on tor@default restart/reload
    
    PartOf=tor@default.service
    ReloadPropagatedFrom=tor@default.service

commit cfca22e1b64804a9affbdb185c2d60b9ae7b49a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 08:21:03 2020 -0400

    restart/reload anon-gw-anonymizer-config.service first on tor restart/reload
    
    PartOf=tor.service
    ReloadPropagatedFrom=tor.service

commit f3e3e71f412fd8bca7d834cb57f0c03643bc9957
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 23 07:24:12 2020 -0400

    bumped changelog version

commit 47cf0e376ab4af6a2b9f2165b6e449c2176a3afd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 23 07:23:22 2020 -0400

    ClientOnionAuthDir /var/lib/tor/authdir
    
    https://forums.whonix.org/t/onion-services-authentication/975

commit b5107c02ca50b924377cede22d390dcd31796e39
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 5 09:36:27 2020 -0400

    bumped changelog version

commit 0624ad6c714b5254c72bc1eaae30406ebcf37e48
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 5 09:31:05 2020 -0400

    Revert "permit onion v3 authentication of Tor Browser"
    
    This reverts commit 97ff68a6c49ecef3e79ab10e1a930a4f5e13198d.
    
    Allows login accross multiple VMs. Therefore potential cross VM tracking identifier.
    
    https://phabricator.whonix.org/T996#20096

commit 729490819e3e5a5eb5de9e64c87c3a993413e67e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 4 11:52:18 2020 -0400

    bumped changelog version

commit 97ff68a6c49ecef3e79ab10e1a930a4f5e13198d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 4 11:39:36 2020 -0400

    permit onion v3 authentication of Tor Browser
    
    white list in `onion-grater`
        onion_client_auth_add:
              - '.+'
    
    Thanks to @rustybird for the bug report!
    
    https://phabricator.whonix.org/T996

commit d7f2e13ad0a2ca1e4a73ca3baa86c5069546b754
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 4 10:45:33 2020 -0400

    permit Tor Browser to show improved error pages for onion service errors
    
    Tor Browser SocksPort add ExtendedErrors
    
    https://phabricator.whonix.org/T996
    
    Thanks to @rustybird for the suggestion!

commit 8c34fe12e895d1079b24c47aa16a112bd1691ca8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 13:52:36 2020 -0400

    bumped changelog version

commit 0366d70a817b5233f54b0fb23936b4807289f6f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 12:34:25 2020 -0400

    resolv.conf

commit 49b952fa11aae818135ef013f6b6882fde3a3b28
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 15:36:07 2020 -0400

    bumped changelog version

commit 65aff1180ae71380dd7c994800f1875aaf75290b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 15:33:47 2020 -0400

    re-add missing /run/tor/socks
    
    SocksPort unix:/run/tor/socks WorldWritable

commit c9434ce3cbab0cf3be22f3d959fa2201ae904cdb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 6 15:30:30 2020 -0400

    anon-verify: fix, do not suggest to remove /usr/share/tor/tor-service-defaults-torrc.anondist

commit 0f799a04ac63efba540f430fc512e3c489e46622
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:19:42 2020 -0400

    bumped changelog version

commit f4f120466b4f2d0a183ba5e1a99cc48f8ad57849
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:26 2020 -0400

    readme

commit 8f9a5873acfa2c7d998d60a7734ff8915140bef1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 12:07:26 2020 +0000

    bumped changelog version

commit 63c706bdb1186839e4d28a5ee0c1b9a77186d808
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 10:23:18 2020 +0000

    no longer shipping etc/default/tor.anondist

commit ce553d982fa8532cf285a4497a90fa2ea6a11439
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 10:21:43 2020 +0000

    bumped changelog version

commit a204e309b56efd20ef23d6b30a5098f93f9e40e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 10:18:48 2020 +0000

    no longer modify /etc/default/tor.anondist
    
    since file is not being used for controlling Tor-startup when Tor is launched by systemd.

commit 7e80c0ba5ca766d402c906154edf510ef3c614e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 9 09:40:22 2020 +0000

    bumped changelog version

commit 2a2eb3b2fc87022b71fb2993398db30de651a29a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 18:32:05 2020 +0000

    mv --verbose --backup=numbered --force "$file_name" "${dir_name}/backup/"

commit d44481118f7a8fb628df54af1a37ccbde02ebdfb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:38:12 2020 +0000

    bumped changelog version

commit 8ddf04005e2733de03339271484512e5bb91640e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 12:02:39 2020 +0000

    anon-base-files -> dist-base-files

commit 5024661e69db7ab4a85b853feb620e63b07048d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 13:08:45 2020 +0000

    bumped changelog version

commit b484c334a096404fea313833ccc2fdcf497f0cca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 12:45:45 2020 +0000

    auto generate man page

commit f3a7bbc54f947fce88a95a27eb039581da02e40d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 12:45:22 2020 +0000

    fix, anon-gw-leaktest.8.ronn -> man/anon-gw-leaktest.8.ronn

commit c1b6eada2b54ed5c92f58e143c19b9f0ad61ee1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 12:44:42 2020 +0000

    import from anon-gw-leaktest

commit c767290587d62fea3afffd8f6d86467b25b5a1eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 14:05:11 2020 -0400

    bumped changelog version

commit 18df4c6fedcb62c38691b2faf865c48052525e40
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 13:55:48 2020 -0400

    SocksPort 127.0.0.1:9050

commit 7f9c3c732a2022db26f3abed9fa84a520a62efec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 06:34:38 2020 -0400

    bumped changelog version

commit a4e5b6fbcbfb90eba30ecdf16fcb4c7fd6e0ffff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 14:49:16 2020 -0400

    sort out Qubes-Whonix vs eth0 dynamic IP

commit b5211d327b7de6a6199c5df6c04e17de4745e254
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 14:17:51 2020 -0400

    move

commit c1741ca3df7444c4c457352e18dc36595a55affb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 14:17:29 2020 -0400

    comments

commit f86bbac7f2938e780f3e7ea6ce273caf2f7a353a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 14:12:44 2020 -0400

    split Tor config

commit bc649b58dbcafa0ec0c1eb9de2a0bbe47303ac2a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 14:09:11 2020 -0400

    split Tor config

commit 666667f9e8e8aaae66246ca3928622f3ff599be8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 13:41:14 2020 -0400

    remove "Log notice syslog" since already done by /usr/share/tor/tor-service-defaults-torrc

commit 57207b40d243e1dbb7e12886ddcc800c640bd063
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 13:40:33 2020 -0400

    comments

commit d92e88be96fbcfa2d6d433318042b1420ab6a664
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 13:37:45 2020 -0400

    comments

commit 9b9fc201ad0c65e2a506f231242b7bd71c12d911
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 09:47:54 2020 -0400

    bumped changelog version

commit 86738cd46625423df9df26bbe628052e41db7991
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 09:47:01 2020 -0400

    readme

commit a8beb9768423e103b361a515a622fe876a6e1c00
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 08:05:20 2020 -0400

    comment

commit 72ef1c1ac4431e2740becd276d20b0918263b43a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 07:56:24 2020 -0400

    remove upstream Tor defaults
    
    because was able to revert Tor upstream default config file
    /usr/share/tor/tor-service-defaults-torrc back to original

commit 6b5afc13f9b0a3dfb00ac9d572f65be85ff616ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 07:26:38 2020 -0400

    move usr/share/tor/tor-service-defaults-torrc.anondist -> etc/torrc.d/90_whonix.conf

commit c4c536b1377c4eac0d69592da874eb0dbd2e1ec2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 07:24:18 2020 -0400

    Reset /usr/share/tor/tor-service-defaults-torrc to original.
    This is possible since there is now torrc.d support.

commit d3fc308180cf1d1ade12bd7aabd0f5ad7f162e1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 06:53:53 2020 -0400

    merge ipv4-forward-disable, ipv6-disable into this package

commit 074b1f3d8877c829320f8f2cc965903c05b5e4c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:25:58 2020 -0400

    bumped changelog version

commit 5917fd9d5ad32879b6de8172bd73a56da658c0e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:08 2020 -0400

    readme

commit 423e449d4d0954939a0edb86cf97392495d51f3f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 17:34:57 2020 -0400

    remove 'Build-Depends: ronn' since no longer required

commit a548cc6405ff4c5a79036f92a2dbb54287abbb87
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:25 2020 -0400

    remove genmkfile

commit da95cdc52393da570d94f0561357ca0d5dd22274
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:30:03 2020 -0400

    add debian install file

commit aa79933be7279936c16a667b6c4ac4c3d479c757
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:56:46 2020 -0400

    add man pages (generated using "genmkfile manpages")

commit 981a3c33a9fff47d9c82028f3002e0c2ddbdfc60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:48:07 2020 -0400

    no longer create man pages during build process
    use pre-created man pages

commit 2326163dca35c4558e4ccb8de235c5e8f19143a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 15:41:49 2020 -0400

    code documentation

commit 25abf8c754bc0a91560635a932a58d9df3d71548
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:16:59 2020 -0400

    bumped changelog version

commit 3605a9611ab7f8f232f882dbd6953dceeb4c19ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 09:04:00 2020 -0400

    update copyright year

commit a4d9b9ef2e0676995032d13a416039ecaf903198
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:50 2020 -0400

    update copyright year

commit a0da8e883941c24281264ca3a047f923b24870d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 26 08:11:23 2020 -0400

    bumped changelog version

commit b83ae5922cc39e24c9290777924351c37ac4f948
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 26 05:49:36 2020 -0400

    add onion-grater-add / onion-grater-remove
    
    helper scripts for better usability making it possible to add onion-grater
    profiles with 1 short command instead of 3 long ones

commit 6c9644c5e2ba88414e76f7f319baba5201b68439
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 08:33:52 2020 -0500

    bumped changelog version

commit 211a092ab2b4ca25c6b930d0f4afd0f37d9a3e40
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 08:32:21 2020 -0500

    Fix bug in Whonix 15.0.0.8.9 where anon-connection-wizard added
    `%include /etc/torrc.d/95_whonix.conf` to `/etc/tor/torrc` configuration
    file even though Whonix was already ported to `%include /etc/torrc.d/`.
    
    https://forums.whonix.org/t/configuring-onion-service/9042

commit 504b93473edab61e54f989bd17fbd99f7e399cb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 07:52:30 2020 -0500

    when trying to reload Tor but Tor not yet running, (re)start Tor instead
    
    https://forums.whonix.org/t/configuring-onion-service/9042/32

commit fd71c287061cfd7144e2fd92a7c75d6ac9236d55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 07:45:31 2020 -0500

    refactoring
    
    provide /usr/lib/anon-gw-anonymizer-config/tor-config-sane
    
    which calls both
    
    - /usr/lib/anon-gw-anonymizer-config/make-sure-torrc-exist
    - /usr/lib/anon-gw-anonymizer-config/tor-config-sane
    
    Therefore re-usable by anon-connection-wizard.

commit 2e56e190717450a0855adb74596afff178ad07a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 07:32:42 2020 -0500

    make sure files /etc/tor/torrc and /etc/torrc.d/95_whonix.conf exist
    
    https://forums.whonix.org/t/configuring-onion-service/9042/29

commit 743e2e0f14d0fb9eca958830334b8e68f4093632
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 3 09:07:49 2020 -0500

    bumped changelog version

commit f646bd212be9294982b89a82841468a2f8e704eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 16:16:24 2020 -0500

    anon-verify: report Extraneous Tor Configuration Files
    
    files that do not end with file extension '.conf'

commit 2403c0b06830ac2beccb1b5012f67ac60f9b54f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 15:35:00 2020 -0500

    anon-verify: ignore file names starting with dot (".")
    
    Quote Tor manual: 'Files starting with a dot are ignored.'

commit bc98b8efe47641510b85212c1c38360340813f0a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 15:29:06 2020 -0500

    anon-verify: ignore subfolders when using %include /path/to/folder
    
    Quote Tor manual: 'Files on subfolders are ignored.'

commit 6e0b8a224e9bf4f3eafd5a7c169655d83cd2a1c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 15:07:43 2020 -0500

    anon-verify: fix, check all files in torrc.d folder for issues

commit 4380d4869c983370fc46e1056342dac9f1728a4b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 14:55:27 2020 -0500

    output

commit 701f5b406eb418506cf9a6562b195a66f3653682
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 14:54:29 2020 -0500

    usr/lib/anon-gw-anonymizer-config/torrc-parser: error handling if neither file nor folder

commit 8c3400a8eede00fbecc4493c40772a3bf26841b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 14:50:16 2020 -0500

    minor

commit a62ef48b75b6c873d91f3bc0c2e4eba8dab962e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 14:43:16 2020 -0500

    minor

commit be294d2c624c077cd9d0b84e64de61dc578f22b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 14:42:26 2020 -0500

    minor

commit f7932b8e595cadeef16fe13f227b84843fc0d283
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 2 14:40:29 2020 -0500

    indentations

commit 40c48fc0414828f48c5ff9465d839458c8b35b25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 05:36:32 2020 -0500

    bumped changelog version

commit 496aeea2ac95d833da8bffb07134d9327c74092b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 17 04:44:25 2020 -0500

    enable vanguards by default
    
    https://forums.whonix.org/t/vanguards-additional-protections-for-tor-onion-services/8064/11

commit 3dbc092e2f2f440349a56565d039d109bf161261
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 10:09:50 2020 -0500

    bumped changelog version

commit 67da41b14ed534f920c75e03d2c4d6430f76b6f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 09:50:13 2020 -0500

    install vanguards by default

commit dc79ea566534de665b00f1b0d4761f53816fb8f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 06:41:18 2020 -0500

    configure vanguards to use control_socket = /run/tor/control

commit 86d1e69fbdcbfe69e8354f03e0ebf8b36b850e02
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 06:30:24 2020 -0500

    vanguards: use /etc/tor/anon-vanguards.conf

commit 144312528a81e15eea23620c39b66d8a981cf832
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 15 06:29:42 2020 -0500

    add from original /etc/tor/vanguards.conf to /etc/tor/anon-vanguards.conf
    
    without changes

commit 0858b072659ce4a375ba9b08b84da3d45300336a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 07:27:11 2020 -0500

    bumped changelog version

commit 31db7e2acc85659707c8718d7b1dbb834591db8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 07:23:50 2020 -0500

    fix man page path

commit f09d723b0af8c922260172404f2bc2ed20998579
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 07:22:21 2020 -0500

    bumped changelog version

commit e255a51b54cd5afab8ed8fd7279d630b1f05dc71
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 07:01:31 2020 -0500

    simplification

commit 4e593336c3fd9a9d8ab7feac82ad98d98ffd74df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 06:57:22 2020 -0500

    output

commit 6c246dc8b05aeab8f84ae231d0dd60f847fa7077
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 06:51:57 2020 -0500

    man

commit bc43830481ad88e0b611d7fbec70cd02d856e0be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 06:51:38 2020 -0500

    man

commit 8ca61e556819b83e29acca1ac97450420248dc63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 06:49:48 2020 -0500

    add anon-server-to-client-install - Tor Authenticated Onion Service ".auth_private" file (private key) Server to Client Installer

commit 7904dbda0794d51e3b3da9cf147eabe8f646709b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 05:53:41 2020 -0500

    output

commit b3648122f0f83d79be37a51e3f413d69585ce908
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 05:50:20 2020 -0500

    comment

commit c9ac85fa48547ac86c9dd8ffc75ef4a2757997bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 05:50:01 2020 -0500

    output

commit e1dea70b230105eef2a435a2055624db83c83000
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 05:43:40 2020 -0500

    output

commit 702dc5191fbc85933b576e64105513c983f0b5e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 04:42:54 2020 -0500

    torrc.d cleaner: improve error handler and output

commit 3a6b47c6b9c23fceb4ea4d75b78d88e9f4f8ba4b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 13 04:41:11 2020 -0500

    run torrc.d cleaner on Tor reload

commit a79d06bb982051231f56d1a4ff342f239b880f33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 12 10:31:12 2020 -0500

    quotes

commit 28d4fcaccf66eecc588ddcafa6391463b007767a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 12 10:30:46 2020 -0500

    output

commit cd06f14aaf9d05a822e309d6e8cc0f467da1738c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:27:58 2020 -0500

    bumped changelog version

commit 38f73c4c64daf37e7a2cddc5c954734ebca011b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:22:55 2020 -0500

    add anon-auth-autogen man page

commit d3765d60fdd7b438e6aa72047b7a9c221ac3372d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 11 05:09:52 2020 -0500

    bumped changelog version

commit 3121179e94e75cc1d9f022b2420421dae81ef484
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 8 03:16:37 2020 -0500

    fix usr/bin/anon-auth-autogen

commit e20cfe64da7b94e1ff5a9e9905fe312b6ebdf1a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 6 07:30:48 2020 -0500

    add anon-auth-autogen - script to automate creating authenticated onion v3 services
    
    https://forums.whonix.org/t/onion-services-authentication/975

commit 4cfec24eb356761f749a15b5a4581acbc34c71f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Dec 23 02:09:12 2019 -0500

    bumped changelog version

commit e0d20bd0f598b5bdecfa5f20333e05eb3a626cea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 04:25:04 2019 -0500

    remove mixmaster comment
    
    since deprecated in Debian
    
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=880101

commit 990b6dc083f9955ad8f823f41289051b4cff58d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 04:24:12 2019 -0500

    comments, refactoring

commit cca84ad521e88b384de59e77e3453e54d5be5cc7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 04:08:48 2019 -0500

    parse /etc/torrc.d/ and /usr/local/etc/torrc.d/

commit 8b8bf2b197307f5369f4ff30606834d54c4acc96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 04:02:09 2019 -0500

    make systemd run torrc.d cleaner after Make Sure Torrc Files Exist

commit 2aad3b41dc254312853931ff02a5d4389fc5e2c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 22 03:53:32 2019 -0500

    finish torrd-d-cleaner

commit 8ff58a51bb7daf0ab50f7b50a9caf547c953994d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 12 08:03:26 2019 -0500

    bumped changelog version

commit d80e344cb34d8709572e5dce2bd7702c7c545b84
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 12 07:51:42 2019 -0500

    start work on torrc-d-cleaner

commit 650cbe1e534983a0edd8a33e8b900a5997d08fe4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 28 03:13:19 2019 -0500

    bumped changelog version

commit 354e519705feb3a2795fb0890e6a92a868a9a950
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 25 14:27:33 2019 +0000

    import etc/onion-grater-merger.d/30_whonix-default.yml from onion-grater

commit d7b14439ae2be33396d17fa9b81115801bdf19ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 15:01:49 2019 +0000

    bumped changelog version

commit 115afb70840153d1174b92294a5ec18625dc586b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 19 09:50:19 2019 -0500

    fix use of sudoedit
    
    https://forums.whonix.org/t/use-sudoedit-in-whonix-documentation-and-whonix-software/7599/30
    
    as suggested by @madaidan

commit d11beab98ba58312fca909889763b0d69b5d5e7c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 18 19:43:19 2019 +0000

    bumped changelog version

commit 7704a8a494ead5f67830ca8cb99800b1d4c03153
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 18 19:41:29 2019 +0000

    fix sudoedit

commit 09dcea06f54cd080da76c554e2b12277aff60a5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:13:35 2019 +0000

    bumped changelog version

commit 5bfc52eac42348e1eecc55e0615b241eeb34dc8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 8 12:37:17 2019 +0000

    comments

commit 79ecc37c7f95f53f0619d164e4fa5ad83278b46b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 7 10:56:08 2019 +0000

    code documentation

commit 7e808ae588e89b554f0a1981bbf851dcc775671c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 7 10:54:00 2019 +0000

    code documentation

commit 275ec507acf28c22664ad7d812eff527523a1eff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 23 08:39:41 2019 +0000

    bumped changelog version

commit eaeefdfd310fb7670c57166425a46522fe34d66a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 21 07:48:28 2019 +0000

    remove flashproxy since deprecated

commit f4386c68e7fdb8c28e063aac9d7d82d8f2bb0d66
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 19 13:01:21 2019 +0000

    bumped changelog version

commit f074ee8f5681d4d2c11bb6140ddf7a30e42c075a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 18 07:12:26 2019 -0400

    use sudoedit rather than hardcoding lxsudo mousepad

commit 54ab5bde3784a45e9d0280d5d1ef4ec08bfb39e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 13:41:16 2019 +0000

    bumped changelog version

commit 004fe77a10515c0902a26b0f718a49bacf845baf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 31 08:46:51 2019 -0400

    depend on adduser

commit c9edfda13f11548da5d9553a0f3f11fa9690e542
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:37:14 2019 +0000

    bumped changelog version

commit 791cbd188ccd60e3206ea541736946b03a0340c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 28 11:34:47 2019 +0000

    use properly override_dh_installman

commit 71e6fe58c2058d9b7cdf3e0d4cfb88b8f872cf5f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 10 06:35:59 2019 +0000

    bumped changelog version

commit ec91ade2357294c90545e6b9f7af40f348d22470
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 10 02:28:02 2019 -0400

    lxsu -> lxsudo

commit e8edff43313b980552093e74cc7246e3f3af428a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:17:07 2019 +0000

    bumped changelog version

commit a8797ee8e2395a8eaa1b0a4db043ac077ff7a01c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:29 2019 +0000

    readme

commit 629e082b5cd71a10b588b492a1e2294c1017b20b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:35:40 2019 +0000

    bumped changelog version

commit 160f7ffdaf9340611d7564cb3044b8d6ac0e6d61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:04:34 2019 -0400

    /var/run -> /run

commit 966466290a0e9f7d5fa6c69d0141745008e2b68b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 30 08:18:41 2019 +0000

    bumped changelog version

commit 309ce76fa2390ed4b8f3587e6eea014d2f202c90
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 29 13:45:39 2019 +0000

    man page

commit 5ec243239a8a8d62fa7a1e312606ce42198a9487
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 21 03:30:35 2019 +0000

    bumped changelog version

commit cc3ae89c9ec07abf717546d1ad4ff1da2dc0b5a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 20 13:57:04 2019 +0000

    Before=tor@default.service

commit db36d01cc318d25a1f839d5b56ea205c76d2beca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 17:49:53 2019 +0000

    bumped changelog version

commit 2ccb52929867b96015a47b8f3be2f44b63eb65ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 17:06:06 2019 +0000

    enable debugging

commit 236061147b3120879c95ef9bf47a042ff37c09ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 10:07:01 2019 +0000

    bumped changelog version

commit 54a0802da932b69272c57e7d6f7944f2d1d981f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:28 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 152151e88117d8dd41e594bb4093f03f27f94016
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:04:57 2019 +0000

    bumped changelog version

commit 125ea68f12b9b1fbf63b6ab778aa605a4d15a510
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:28:53 2019 -0400

    readme

commit 4e7d7f01da681e088156137c8d1ec652470f89e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:28:42 2019 +0000

    bumped changelog version

commit 68408e7146a04b2622dba7e06c4d00678914c5a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:42 2019 -0400

    update path to pre.bsh

commit acdfe7e9e3b2c1376fcd3b7f280778d250763960
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:50:14 2019 -0400

    anon-shared-helper-scripts -> helper-scripts

commit 83e8579e53ff12cf151f6fdf9e413241df263d03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:09:35 2019 +0000

    bumped changelog version

commit 8e6ae23041c14bf0127cc1ca873128ced6496eb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:49 2019 +0000

    update

commit 7908c2b392d5aaed8cd7e62d8d2fba6f5db6d6a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 14 12:07:36 2019 +0000

    bumped changelog version

commit d93585f3dac46de9e2774acb769d66dab8a80447
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 14 06:22:51 2019 -0400

    license

commit 6ea24eb0ca55089e0908f5810b92e830dbca2173
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 11 13:24:46 2019 +0000

    bumped changelog version

commit dd3181ce05ffc0984c7867c349c5f62f7d448aec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 11 08:08:28 2019 -0400

    sudo

commit 643d92bfa56d5f758a0e28372573ef83beaa40b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 11 08:06:08 2019 -0400

    sudo

commit c407c240ca89c6f8ad2e1097c93c7dc10fda9a81
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 17:03:09 2019 -0400

    bumped changelog version

commit 8f999b4426cc02174fdbc7f2e8b58e51a424b7a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 16:57:51 2019 -0400

    sudo

commit 91505df2099805166e85132527c21502899c4214
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 16:21:21 2019 -0400

    bumped changelog version

commit 9d40efd3d02b5a9a85ab67695e58fc05254d7121
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 15:49:27 2019 -0400

    arm was renamed to nyx

commit 18aaced782a8a3c30f9bd10417c83421c86c4f0a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 13:01:52 2019 +0000

    bumped changelog version

commit 98a1e430b67439aba35cc64ca8b8d1e7f04579ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 12:57:01 2019 +0000

    sudo

commit 11f2371b04c9fb32583e0243b0fc9f61724c70ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 11:49:07 2019 +0000

    bumped changelog version

commit 96594e3151d16b507132455d5f4b0f9a1a706123
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 11:32:48 2019 +0000

    sudo

commit 73e082069bcd549241d1d93437b8af62832a10eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 11:29:47 2019 +0000

    sudo

commit 1da43e65a26d03c4385f888a2ee31ba308bc4740
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 10:04:19 2019 +0000

    sudo

commit 02b5ac850106244cc4d273a36fe72e7027be1c3b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 5 17:01:19 2019 -0400

    gksudo

commit 318c0ddc9fffc75ee6d292e0b0699a31e287b0e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 08:35:03 2019 -0400

    port to debian buster

commit 6ac8018b43d9c2a02376cd71aef5cadbc5d13713
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:50:31 2019 -0400

    port to debian buster

commit 2ef46f0cd5b617da66b17496ce3f187479c65022
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:04:46 2019 -0400

    readme

commit 2e3c8557e019d5747d34d32accc2d0a5bd4b9795
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:38:58 2019 +0000

    bumped changelog version

commit 3e8ffbb8815102d2f8f79bd2050729f0f1f7c013
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:02:43 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 57e3976d9726fc636741865ee90d1bb2bbf3dfad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 25 02:43:02 2019 -0400

    https://phabricator.whonix.org/T878#18051

commit 3bf87cceb2ff17164b5387d6e099625ac831bfae
Merge: 68daef8 aec996b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 25 02:39:46 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit aec996baac6eab0058f7720033ed14ba984b1aed
Merge: 68daef8 611572e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 25 02:38:12 2019 -0400

    Merge pull request #17 from HulaHoopWhonix/patch-5
    
    Updated SMTP servers and mapaddress

commit 611572e72021fd5a2437be4d4f89d3b02045faf0
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Mar 24 23:32:26 2019 +0000

     Updated SMTP servers and mapaddress

commit fe0f6d90fea305012291ea963569795fec012289
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Mar 24 23:31:23 2019 +0000

     Updated SMTP servers and mapaddress

commit 5351bd4765476e9522c77cea5a8e30e6c4f94083
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Mar 24 23:27:08 2019 +0000

    Update tor-service-defaults-torrc.anondist

commit 68daef8443eb4845ba07dc33b983df3592d5bccd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 15 03:22:29 2019 -0400

    HTTPTunnelPort

commit 814bc42c7784a0cc91c48c0493bc9135a16cea50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:12:18 2019 +0000

    bumped changelog version

commit 92b763a63f19bad6d41ea310c1ae28a9a01fe575
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:31:47 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 0f481c081a1d0973de286451501abadfa8336327
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 28 06:35:47 2018 +0000

    bumped changelog version

commit a08950df492e3c932351acdf21306844f943b34d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 28 06:33:16 2018 +0000

    remove unused lintian override to fix lintian warning

commit fcea10aa99b11f6387c21973584e79e918553756
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 28 06:30:36 2018 +0000

    bumped changelog version

commit 377bbef9585ea067990ee54c1e40a6bb5eabd6da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 28 05:28:08 2018 +0000

    fix, remove mapaddress entries in torrc for 1.1.1.1 and 2.2.2.2 since these allow fingerprinting Whonix users
    
    Thanks to nusenu for the bug report!
    
    https://phabricator.whonix.org/T878

commit 2be3b5445a8d6393949f9db183199d2d30820ec8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 19 03:48:05 2018 -0500

    remove restart Tor desktop shortcut because there is tor-restart-gui

commit 140792f1ea0f4b635989ba755066f2115d4ab35a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 14 13:11:55 2018 +0000

    bumped changelog version

commit 9559d23edf5e28294632670a2aab8dffd725b0c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 14 07:53:47 2018 -0500

    minor: port to systemctl --no-pager

commit 252416d91a2158da3b07f1791416ecc8c261f18c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Nov 14 07:44:43 2018 -0500

    add support for XFCE, thunar, gksudo

commit 172cf7978dfef4a29525cec26acf718dd38479b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 15:46:02 2018 +0000

    bumped changelog version

commit 8339cece2639171adfae6be95df259672e731c49
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:17:48 2018 +0800

    readme

commit 891df4e2bc63baa16569398a6f172d2f925c396c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 9 15:52:00 2018 +0000

    bumped changelog version

commit b3a65995636440e60bd19e1d0fe57d4adc07e8ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 7 18:43:10 2018 +0800

    %include /usr/local/etc/torrc.d/40_tor_control_panel.conf

commit 5fbde9c6656ea849a94635b5af5e9ec1349a0d2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 7 18:40:33 2018 +0800

    migrate to new config file name /usr/local/etc/torrc.d/40_tor_control_panel.conf

commit 6c61b7d9d7f57ba258f632c5f9fbe9b6b81af6c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 5 09:12:30 2018 +0000

    fix mime type

commit 3ca95116c5b2eef6dea8e3fc5f2ecfbc697e18c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 5 09:09:40 2018 +0000

    fix mime type

commit 478c7819a43a10d05fa8ff32df2c71d338b1c315
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 5 09:05:29 2018 +0000

    fix, remove double hash tag comments to fix mime type
    
    use single has tag comments instead
    
    before (bug):
    DE=generic xdg-mime query filetype /usr/local/etc/torrc.d/50_user.conf
    text/x-matlab
    
    after (fixed):
    DE=generic xdg-mime query filetype ./usr/share/anon-gw-anonymizer-config/user_torrc_template.conf
    text/plain

commit 268e7d0b55806bd9b13a1f1a42b4e901f14f8e63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 5 14:41:10 2018 +0800

    remove dependency on konsole

commit 4c6aedc0783bdc981cbf63c66e174b0c969c29c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 5 14:25:16 2018 +0800

    fix, don't hardcode kwrite, use xdg-open

commit ca24df90f90ffdab67220fb197d98dab5aacad92
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 3 05:36:57 2018 +0000

    bumped changelog version

commit 438359721c1bd354a12f7141fe1c1f598250a993
Merge: 001296b d164839
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 26 01:01:38 2018 +0800

    Merge remote-tracking branch 'origin/master'

commit d164839a1a811b4b509a366be0da916c25cfa0e1
Merge: 001296b f4a485f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 25 16:59:28 2018 +0000

    Merge pull request #15 from HulaHoopWhonix/patch-4
    
    Added Isolation settings comments

commit f4a485f54165884c4794559f5e0caa5c674899ea
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Mon Jun 25 15:34:14 2018 +0000

    Added Isolation settings comments

commit 001296b753b4facac7431918e51689269420a7a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 08:06:26 2018 +0000

    bumped changelog version

commit 3f09405dc605454892c70311526a60ed2894d04b
Merge: 8a8b29e f03994a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 08:01:33 2018 +0000

    Merge remote-tracking branch 'origin/master'

commit 8a8b29e9a9e805b44155583855545fae58d0d76a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 07:59:15 2018 +0000

    bumped changelog version

commit f03994ac117f1d70ccc4923ceabd70e3f94a836a
Merge: 8a8b29e 1de285a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 19 09:59:13 2018 +0200

    Merge pull request #14 from irykoon/master
    
     Better format for the anon-verify report and bug fixes

commit 1de285a2e6b025cb45a4d79abce5a5db9e3eed86
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 15:56:54 2018 +0000

    Add a TODO comment

commit 44126be2c927f9d0c28903d04459241f237d9aab
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 15:56:04 2018 +0000

    Better comments

commit 6bcfd256fae504c5b0a5a7d52e0e126622a8e99d
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 15:42:04 2018 +0000

    Fix typos

commit 73c7c8f7f65cf609da27492b48f41aacfccb213c
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 15:36:33 2018 +0000

    Better format for the anon-verify report

commit 1f6ceefe607524983e91ccbb251934a1c6a00398
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 15:02:25 2018 +0000

    Cover the case where unknown options have leading whitespace

commit 6b3e06b6d8145a68aa77d43ccafbde89a623aa82
Merge: 56fd963 e57b8f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 18 22:27:13 2018 +0800

    Merge remote-tracking branch 'irykoon/master'

commit 962c69c933b199033479abaf5adedf67315599db
Merge: e57b8f6 56fd963
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 14:26:45 2018 +0000

    Merge branch 'master' of https://github.com/Whonix/anon-gw-anonymizer-config

commit e57b8f6872b6b180cb354b9136857f016bb7b7bc
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 12:06:01 2018 +0000

    Support -v and -vv options for anon-verify
    
    -v and -vv will show an additional report on how Tor configuration is
    parsed, excluding and including comments in the configuration files
    respectively

commit 56fd963e75c707d0bf779e262b95765a5a22a991
Merge: 5552975 2304bfa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 18 08:16:02 2018 +0200

    Merge remote-tracking branch 'origin/master'

commit 2304bfae8fa8ef431fa17dc23eebb1a22b32bd41
Merge: 6d40d20 cfa862c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 18 08:13:04 2018 +0200

    Merge pull request #13 from irykoon/parser
    
     Support verbose parsing and smart suggestion for anon-verify

commit cfa862c27bf55cd65a2fbb23091fbb4a2cfb13e9
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 05:59:39 2018 +0000

    Better report format and comments on code

commit 73a12c25063eb5fd89e68bfe8a33d3b023858566
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 05:40:04 2018 +0000

    Better format for anon-verify report

commit f98282e914833bd53ddbadcc201b020902b6295a
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 05:39:17 2018 +0000

    Better bash practice for anon-verify

commit 617f1ed2c8fab1ebfe0256cea9e6898ac8e7ac44
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 05:34:07 2018 +0000

    Better bash practice for torrc-parser
    
    Quote like a manic.

commit fe889c8e740226508b9d2d726b2a39ace8e1fa96
Author: irykoon <irykoon@gmail.com>
Date:   Mon Jun 18 05:20:49 2018 +0000

    Add license headers

commit 6d40d2059f0973991f12b5ee9248aa5d50e37683
Merge: 5552975 c603f7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 18 02:24:58 2018 +0200

    Merge pull request #12 from irykoon/master
    
    More strict permission on snowflake-client

commit 7d43e77da21e52e9d904ae4c13b74b66afddb5ed
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jun 17 17:50:17 2018 +0000

    Support verbose parsing and smart suggestion for anon-verify
    
    The configuration file parsing for system Tor is complex. It is hard
    for a daily user to figure out what exact command is used by systemd
    to start Tor. Moreover, it can be overwhelming for a human being to
    follow the logic of Tor configuration parsing since the %include line
    can appear any where in a file and the included path can be either a
    directory or a file.
    
    Therefore, anon-verify is now upgraded to free user from these
    overwhelming work by support verbose parsing and smart suggestion.
    
    For the verbose parsing, anon-verify will automatically extract the torrc
    files used in systemd that starts Tor. And then, it will show user the
    parsing of torrc files step by step, following the exact same logic
    Tor used.
    
    In terms of the smart suggestion, anon-verify will try to offer an
    specific and useful suggestion when there is something wrong with the
    Tor configuration. For example, when a wrong option is included by
    user, Tor will simply complain:
    
    '''
    [warn] Failed to parse/validate config: Unknown option 'dsafklj'. Failing.
    '''
    
    But anon-verify will tell user:
    
    '''
    The following files contain unkown option 'dsafklj':
    /etc/tor/torrc:5:dsafklj
    Please modify these files to fix the problem.
    '''
    
    anon-verify can also tell users how many and which files have been
    used the Tor configuration files, making them suddenly realize if they
    have included any file they don't want to use:
    
    '''
    7 files are used as Tor configuration files:
    /usr/share/tor/tor-service-defaults-torrc /etc/tor/torrc /etc/torrc.d/95_whonix.conf /usr/local/etc/torrc.d/40_anon_connection_wizard.conf /usr/local/etc/torrc.d/40_anon_connection_wizard.conf~ /usr/local/etc/torrc.d/50_user.conf /usr/local/etc/torrc.d/50_user.conf~
    '''

commit c603f7dca2b53504b88b0b741ea52bd9bed15e59
Merge: adbccf8 5552975
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jun 17 09:44:13 2018 +0000

    Merge branch 'master' of https://github.com/Whonix/anon-gw-anonymizer-config

commit adbccf816ee0f4b2c511bb23dc505c1936a2ca3d
Author: irykoon <irykoon@gmail.com>
Date:   Sat Jun 16 16:31:07 2018 +0000

    More strict permission on snowflake-client
    
    ix is enough as what is used by dcf in this ticket:
    https://trac.torproject.org/projects/tor/ticket/24203#comment:8

commit 5552975058a088424945d283413906f38406b685
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 15 04:36:16 2018 +0200

    anon-verify sudoers.d
    
    https://github.com/Whonix/anon-gw-anonymizer-config/pull/10

commit 49618b4e8b7d553abee3d8bce11b9827f7a95ae5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 15 04:32:04 2018 +0200

    anon-verify: no need for `eval`

commit cd9a4c4f9bf4ff8b89787f251faa08e91e5e12ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 15 04:27:45 2018 +0200

    typo

commit 3709b1edc9b404715e451c5791cb089cf10cec75
Merge: c842f68 73d10a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 15 04:26:56 2018 +0200

    Merge remote-tracking branch 'origin/master'

commit 73d10a699ca847bdbf2e098b29f2a1a15e8dd5b0
Merge: c842f68 f6dc584
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 15 04:25:04 2018 +0200

    Merge pull request #10 from irykoon/master
    
     Add anon-verify as a user-friendly wrapper

commit f6dc5849d7f209b2bc0bae6335e70e91e0311bf1
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jun 14 16:06:24 2018 +0000

    Allow apparmor execute snowflake-client
    
    Without the fix, Tor will complain "Pemission Denied" when trying to
    execute snowflake-client.

commit 029aa688beaa125a0a2d8f99b9d4a31a09ec671f
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jun 14 16:05:50 2018 +0000

    Fix a typo

commit 7bb733d6fbd5c3c4b9b8d2ed6f1f3a6ff8a737e8
Author: irykoon <irykoon@gmail.com>
Date:   Sun May 27 02:53:36 2018 +0000

    Add license header

commit 10567ae794564b27d000602ba49dd31ec0ceb6f6
Author: irykoon <irykoon@gmail.com>
Date:   Sat May 26 09:29:26 2018 +0000

    Swap the copyright lines
    
    Not sure if this is what @adrelanos means?

commit 61dba7159af0dabadf468566ea5b1e649ca76e39
Author: irykoon <irykoon@gmail.com>
Date:   Sat May 26 09:25:21 2018 +0000

    Fix a typo
    
    Thanks @adrelanos for the careful review and pointing this out.

commit 9edc72ec4f83a82f52f14b5c4f254cd564f3436a
Merge: 97378c6 c842f68
Author: irykoon <irykoon@gmail.com>
Date:   Sun Apr 15 03:20:52 2018 +0000

    Merge branch 'master' of https://github.com/Whonix/anon-gw-anonymizer-config

commit 97378c656baa85980e3409a17f11689d8274b63d
Author: irykoon <irykoon@gmail.com>
Date:   Sun Apr 15 03:15:35 2018 +0000

    Add anon-verify as a user-friendly wrapper
    
    anon-verify is a user-friendly wrapper around the Tor --verify-config
    in Whonix. It will do a proper Tor configuration verification and then
    generate an easy to understand report. It will also be used by other
    Whonix conponents, for example, whonixcheck.

commit c842f6851f77cc65877a4ad578dd53d388035ce9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:51:07 2018 +0000

    bumped changelog version

commit 5a50250190b287cd39f711c9711cfe57ff778a3e
Merge: 33ec466 cd85983
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 2 12:54:43 2018 +0200

    Merge remote-tracking branch 'troubadoour/master'

commit cd85983c9e61eacbf1e353de0d0aaf2e70bc1fd3
Author: troubadoour <trobador@riseup.net>
Date:   Sun Apr 1 19:30:56 2018 +0000

    change apparmor rules for directories

commit 33ec466d8ef01edb34acf27fbd2cfc6bbbc380dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 01:59:59 2018 +0000

    bumped changelog version

commit 64d64d566fe30a307c65904ecd4b5c736ac793d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 01:57:14 2018 +0000

    copyright

commit 2708b81c50157b6b5afb754af91cfa2e99a7c07f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 01:57:00 2018 +0000

    copyright

commit 90f335c7ce41df91cc00bbc18a9070bdcc32faaf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 01:56:20 2018 +0000

    RemainAfterExit=yes

commit eb53d79691e422bd22949edfb338764dc7bd99d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 01:51:41 2018 +0000

    Type=oneshot

commit fedee4b7f94915635f171ceb1a80944c2377a4e6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 01:39:25 2018 +0000

    don't run in Qubes TemplateVM

commit 60e57a7b46fb2e79bb32ea6c8ecafc912878b3e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 01:38:43 2018 +0000

    fix lintian warning

commit 1f9a2bf8220b0d4e7f8ef4229c36e3b014e038c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:34:45 2018 +0100

    fill usr/share/anon-gw-anonymizer-config/anon_connection_wizard_torrc_template.conf

commit 733ae6d413666750b29dd69957792960529042da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:32:04 2018 +0100

    typo

commit 73d756bed4091fffd90e7e352c8da03edeb0f781
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:26:36 2018 +0100

    no need for User=root

commit 964a8d5be143a8233f15cd6b72e913634f3dc3cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:24:17 2018 +0100

    WantedBy=multi-user.target

commit cba55a78ec8aa32aeed4875a07ccf85c02d7d50e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:22:51 2018 +0100

    no required
    
    lib/systemd/system/anon-gw-anonymizer-config.service
    
    Before=tor.service
    
    is sufficient. Doesn't need to be both way.

commit 7456e1718990c5584ae969bb047de2cb7f581bff
Merge: 05b6fb3 65d8947
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 02:21:52 2018 +0100

    Merge remote-tracking branch 'origin/master'

commit 65d89474ebb2fa31e4a3d8a59f8807ffcf166c12
Merge: 05b6fb3 17c3df9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 22 01:13:41 2018 +0000

    Merge pull request #9 from irykoon/master
    
    Control Port workaround & Make sure torrc files exist before starting Tor

commit 17c3df9b7eb4d2ec496df8a262573fb85bb59379
Author: irykoon <irykoon@gmail.com>
Date:   Wed Feb 21 23:16:14 2018 +0000

    /etc/torrc.d -> /etc/torrc.d/95_whonix.conf
    
    We should avoid any `%include directory` for now before this feature is available in Tor stable: https://trac.torproject.org/projects/tor/ticket/25140#ticket

commit e37d7736fa3b48a03972a81872a1e43b2ba5d12e
Author: irykoon <irykoon@gmail.com>
Date:   Wed Feb 21 22:22:10 2018 +0000

    Make sure torrc files exist before starting Tor

commit 6b238e85f543c15a41c1eef592c5ac1bd6f9b8b0
Author: irykoon <irykoon@gmail.com>
Date:   Wed Feb 21 18:34:58 2018 +0000

    usr/bin/make-sure-torrc-exist -> usr/lib/anon-gw-anonymizer-config/make-sure-torrc-exist
    
    Thanks to the suggestion by Patrick: "[o]therwise we’d have to create and ship a man page (otherwise lintian warning).

commit 85f3602580687d3fb442f748f68706d4ccaa5156
Merge: ae80ee0 05b6fb3
Author: irykoon <irykoon@gmail.com>
Date:   Wed Feb 21 18:29:55 2018 +0000

    Merge branch 'master' of https://github.com/Whonix/anon-gw-anonymizer-config

commit 05b6fb3efb194d5fae42a0171795b6d3b2238297
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 21 15:41:49 2018 +0000

    bumped changelog version

commit eeb02d516803fa10c376eb18ac4506acfbcb7ab6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 20 16:13:36 2018 +0000

    clean up '.torrc' files

commit ae80ee09df893f0226b879002b2c04cd9da41c4e
Author: irykoon <irykoon@gmail.com>
Date:   Mon Feb 19 18:59:29 2018 +0000

    Attempt to make sure all torrc files exist
    
    However, this does not work as epected. This commit is only for demonstration purpose.

commit 9a9c921ac23731beccbae11ccd64002e42710026
Merge: 75f65d2 014d0cf
Author: irykoon <irykoon@gmail.com>
Date:   Mon Feb 19 17:32:45 2018 +0000

    Merge branch 'master' of https://github.com/Whonix/anon-gw-anonymizer-config

commit 75f65d29d762746ef729cd0e3aee6cdf1f93374d
Author: irykoon <irykoon@gmail.com>
Date:   Wed Feb 14 01:48:30 2018 +0000

    ControlSocket workaround

commit 014d0cfc98f3e571c8a7f92b97462fa2f940e9d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 22:59:38 2018 +0000

    bumped changelog version

commit 946d2b444f93cf5316bf3e2966eddddde82fd770
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 22:58:37 2018 +0000

    Revert "parse only *.conf"
    
    This reverts commit 7c9bbde4d0669b198f9f16af5488f0bd03878257.
    
    Thanks to @iry for the bug report!

commit 3fa30e8ae650de1fe0db676eb931ebf446286b13
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:54:24 2018 +0000

    bumped changelog version

commit 7c9bbde4d0669b198f9f16af5488f0bd03878257
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:33:21 2018 +0000

    parse only *.conf

commit 426821228f48ac8bde884bee3f69b993b15495ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:32:21 2018 +0000

    renamed:    etc/torrc.d/95_whonix.torrc -> etc/torrc.d/95_whonix.conf

commit 233f5b4398aa844c832263f0f19d173de19d3348
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 5 21:30:01 2018 +0000

    .torrc -> .conf

commit 7e3e9c149cb0fea21c956d6363a577022733f761
Author: irykoon <irykoon@gmail.com>
Date:   Sun Feb 4 20:46:45 2018 +0000

    ControlSocket workaround
    
    When both User option and DisabkeNetwork 1 are set as part of the Tor configurations, the Tor control socket will not be opened unless reloading Tor: https://lists.torproject.org/pipermail/tor-dev/2018-February/012887.html

commit 45239a239bd05e7bb59f3d2d91a4e4d26f87f5ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 14:40:42 2018 +0000

    bumped changelog version

commit dbf6902239e5f8cd7d699e3a0bdcea6de2569acb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:07 2018 +0000

    readme

commit 1f9056403af7676ddee3eada7a7d84792430d18d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:39 2018 +0000

    update copyright

commit bd65da219a03be0e975a95ca6ebdb353084f52b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:21:46 2018 +0000

    update copyright

commit 2b05c85be0b50eda101209a8a141e869eedaf1da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:14:58 2018 +0000

    update copyright

commit b1ae6a1005c5e902d530c23283aea239de4d1cca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:23 2018 +0000

    update copyright

commit 0138d05f631323684768770e64d3ed61c3a344cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:47:32 2018 +0000

    bumped changelog version

commit 0a0b3d5a58e821bbec6d368ddf5ca400ab8a5dea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:44:58 2018 +0000

    rm_conffile /etc/torrc.d/torrc.examples

commit 4c8ff69e438c20a2a6f413052c3ec1d630b074be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:33:35 2018 +0000

    bumped changelog version

commit 11ed7d897677bcb7ce055a9067796faa82d31e26
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:43:54 2018 +0100

    fix

commit 9e9ed704408ab2726207a56830c7df44638483ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 21 13:41:27 2018 +0100

    fix, renamed:    etc/torrc.d/torrc.examples -> usr/share/anon-gw-anonymizer-config/torrc.examples
    
    to prevent Tor config parsing error

commit a5687aeb9bfe66b3fb8c0bb0a2c233e467cb6aa7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 18 17:29:56 2018 +0000

    bumped changelog version

commit d5dc63c2cc746d8b9deffa72d7a727a7a4c381ef
Merge: e16ff10 6dc6ab7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 18 16:59:47 2018 +0100

    Merge remote-tracking branch 'origin/master'

commit 6dc6ab7e78a331cd59acdc8a2e8e8f26b5f795ee
Merge: e16ff10 31d78a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 18 04:10:07 2018 +0100

    Merge pull request #8 from irykoon/master
    
    Better instructions in comments

commit 31d78a368da83ef74628649d49b913f9aa651ab7
Author: irykoon <irykoon@gmail.com>
Date:   Thu Jan 18 02:01:16 2018 +0000

    Better instructions in comments

commit e16ff107a49d75c776334164cb81ca22cc450c01
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 16 22:11:54 2018 +0100

    /usr/local/etc/torrc.d/

commit 22f75da9f6eee1d305ace8d50415b7fe0936aa4c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 22:53:51 2018 +0000

    torrc.d

commit 858e7890754893334e1d61d8b0021ba40bebb174
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 21:02:17 2018 +0000

    rm_conffile /etc/tor/torrc.examples

commit 1f5836257634ab028d7a8e844b9e5199bc7493b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 21:01:09 2018 +0000

    move etc/tor/torrc.examples -> etc/torrc.d/torrc.examples

commit f42a8b434759e63da605f55d886e9d3565ff38d0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 15 20:09:51 2018 +0100

    comment

commit 8c6d6299d9f82f8a734ddd07e2a90302b142b0e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 20:07:57 2018 +0000

    bumped changelog version

commit befa4e43ed9e1fb108c5715ffdd973384b828798
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 19:21:32 2018 +0000

    comment

commit 2352c0b6811ea8c327f43bbbd38f2eec402b8504
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 18:53:09 2018 +0000

    implement /etc/torrc.d config parsing

commit 822a68241623fbec12d98e8f16206c53b3097706
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 12 18:46:43 2018 +0000

    implement /usr/local/etc/torrc.d

commit 51dc0183144370f05fcb813f492c19863a660c65
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 2 15:03:58 2018 +0000

    bumped changelog version

commit b97fa19853315f3ffcccaa2883eb0881fa444972
Merge: ce068ea 7f71f8b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 31 17:36:49 2017 +0100

    Merge remote-tracking branch 'origin/master'

commit 7f71f8bce0e36f21a3c3eff1796cfd5bd3fe99fa
Merge: ce068ea 14a3a97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 31 16:34:42 2017 +0000

    Merge pull request #7 from irykoon/master
    
    Change the AppArmor rules for anon-connection-wizard

commit ce068ea2c07555db4fcd2ba531dfb19fdb7337f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 31 17:07:49 2017 +0100

    fix Tor drop-in config folder apparmor permissions
    
    Thanks to @irykoon for the bug report!

commit 14a3a9780d25befa0e6fc4f99483f76d70387d4f
Author: irykoon <irykoon@gmail.com>
Date:   Sat Dec 30 12:01:42 2017 +0000

    change the AppArmor rules for anon-connection-wizard

commit 6d818a6ff66612faf19e01fdee04de00ecea4c2f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:26:48 2017 +0000

    bumped changelog version

commit 49c9aaaf2c9e917086f71141fc286581b1023d1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 19:14:24 2017 +0100

    apparmor /usr/local/etc/torrc.d

commit f7277e25544b346af7daa44a7bbaf10cca113309
Merge: 77d06d8 4965ce5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 26 22:44:02 2017 +0100

    Merge remote-tracking branch 'troubadoour/master'

commit 4965ce527c1b099875146246d6c8ce775e85444f
Author: troubadoour <trobador@riseup.net>
Date:   Tue Dec 26 19:49:07 2017 +0000

    Allow read/write in /etc. Give permissions to /etc/torrc.d/

commit 77d06d8391ab691ad98e0000426e6c29abe91a1a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:01:18 2017 +0000

    bumped changelog version

commit 87bb37dba8ac07692bb39a8f4d04a9f41b4ccbfd
Merge: e4f6dc9 d95be43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:00:34 2017 +0000

    Merge remote-tracking branch 'origin/master'

commit e4f6dc978799ac724aa3cd4e8d88c546c05bc1ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 19:59:13 2017 +0000

    bumped changelog version

commit 676c5c1145a330f0ea10692d17b319ca4062aeb6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 19:58:59 2017 +0000

    fix lintian warning

commit 458660e12d53f37f65dcb6aa01be89c3cc2fa633
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 19:54:30 2017 +0000

    fix lintian warnings

commit becaadd9ca0614582bb5d3a94e24a680a5f170fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 19:48:05 2017 +0000

    bumped changelog version

commit 9dea00bb6786249c541276debabd6e9cc192ba76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 18:42:51 2017 +0000

    remove usr/lib/gateway-shortcuts/wrapper since moved to anon-shared-helper-scripts

commit d2cf94c5979589438e05fd939d7ea8e387b90a0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 18:42:40 2017 +0000

    update paths

commit d95be4367dd17323fac132bdbc511888acf1ef79
Author: Jason J. Ayala P <JasonJAyalaP+Github@Gmail.com>
Date:   Wed Sep 6 13:17:37 2017 -0500

    lower case consistency for the OCD

commit 4c904a48d80a1cc566999248a9befb4183e50cd3
Author: Jason J. Ayala P <JasonJAyalaP+Github@Gmail.com>
Date:   Mon Sep 4 16:03:51 2017 -0500

    fixing parsing error

commit 21e3aae16893dd0b5b7610178b1793e7e255f051
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 15:34:09 2017 +0000

    bumped changelog version

commit 750b40185c426c9df557447e1234e15fca3bfe0d
Merge: 3fbd589 3b163e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 15:28:11 2017 +0000

    Merge remote-tracking branch 'origin/master'

commit 3fbd589afe253a35bfd0581247a6ac3a95f5f516
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:05:35 2017 +0000

    bumped changelog version

commit d4d412296b7b7156b527225a0c4a65ae3005427e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:05:21 2017 +0000

    signed commit

commit 3b163e5008c1ef1e38f8a581754991ef85955615
Author: Jason J. Ayala P <JasonJAyalaP+Github@Gmail.com>
Date:   Thu Jul 6 10:52:27 2017 -0500

    phab link

commit 17912c30390ef46b97226e65ee14598e26c78b8d
Author: Jason J. Ayala P <JasonJAyalaP+Github@Gmail.com>
Date:   Wed Jul 5 16:38:32 2017 -0500

    typo

commit b51a568e474ab8092a26cb196f8669f5a7238899
Author: Jason J. Ayala P <JasonJAyalaP+Github@Gmail.com>
Date:   Wed Jul 5 16:38:10 2017 -0500

    40_obfs workaround notes

commit bfe28e340d03cc4d77e4f49e24bcc0a9da42da06
Author: JasonJAyalaP <JasonJAyalaP+Github@Gmail.com>
Date:   Wed Jul 5 16:30:51 2017 -0500

    Added NoNewPriviliges= workaround

commit 91d64faef2168e3fc985df2e683ee1fbbef89c09
Merge: ea339b1 f71d47e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 7 12:18:33 2017 +0000

    Merge remote-tracking branch 'origin/master'

commit f71d47eb74c14816580d3220c215ade21ab2a317
Merge: ea339b1 42c3573
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 7 12:12:29 2017 +0000

    Merge pull request #6 from irykoon/master
    
    delete "managed" option in obfs4 line

commit 42c3573f4a40d51768553aa45bbf0064b79e5bdd
Author: irykoon <irykoon@gmail.com>
Date:   Wed Jun 7 04:33:57 2017 +0000

    delete "managed" option in obfs4 line

commit ea339b1cea5175e53c4c04e2d78447c1e6188f69
Merge: 2af4688 da97060
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 5 14:35:58 2017 +0200

    Merge remote-tracking branch 'origin/master'

commit da97060dc075328ee12a489efba3d9e16bd0a57b
Merge: 2af4688 3a553a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 5 14:35:32 2017 +0200

    Merge pull request #5 from irykoon/master
    
    use a better URL to bridge

commit 3a553a41045fa50e56f4409e7745b19b9bca0e96
Author: irykoon <irykoon@gmail.com>
Date:   Sun Jun 4 03:10:55 2017 +0000

    use a better URL to bridge

commit 2af4688004ae91cfab496de7e3dfa9e24586feae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 03:11:20 2017 +0200

    control-port-filter-python -> onion-grater

commit 0fd57318c0e3a10d2d57367b7ba66518d12e22ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 01:35:36 2017 +0000

    bumped changelog version

commit 07edd17785698255cc5415fbb3aaab246506e300
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 23 03:10:12 2017 +0000

    fix lintian warning

commit dcb9af22663fb5c1d8f38713b1189bf29536a893
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 22:09:34 2017 +0000

    use systemctl --no-pager to prevent blocking due to systemctl interactivity
    
    https://phabricator.whonix.org/T637

commit bed0954fc94e8d2057cb0e860ea14416e4680576
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 15:14:29 2017 +0000

    bumped changelog version

commit 959ee2845ac03ee1f3081acb4528959534630090
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:33:30 2017 +0000

    remove no longer required lintian overrides

commit 88da32ad9c3a14fc3f3dd749d91d01e31600de3a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 13:40:22 2017 +0000

    bumped changelog version

commit ac678cb78b47bf08c5df0b2792d3322280615314
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 15 21:21:35 2017 +0000

    fix starting gateway shortcuts in konsole whole screen in Qubes

commit 6de40fffdb1783e82cc9d766c35611a557309638
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:30:29 2017 +0000

    "$@"

commit b73d6427e16b0939043a8b637319e2a2e1ad9be7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:22:08 2017 +0000

    "$@"

commit fdcc63e4f0910574b28d59344739fdf376ae9c8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 11 07:05:06 2017 +0100

    comment

commit df595f918362cc1176d0a9d2198ec7044298046c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 11 07:03:34 2017 +0100

    comment

commit 98643f5aa590b09d00875927226ea0ed92ce21cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 11 05:33:03 2017 +0100

    comment

commit 48d3cbf01d7fef46646a9e8052907d48e67244fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:48 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit 19fcebf486344e8f9cfee03d87bc1539398ab937
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:20 2017 +0000

    remove debian/gain-root-command workaround

commit 1d7584472d4a1e9ba1ce033f8544c13a02f562ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:21:45 2017 +0000

    packaging simplification tor (>= 0.2.7.3) -> tor

commit 954880695eaa226ebd33cd744f4e5841f2bda429
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:18:00 2017 +0000

    packaging simplification config-package-dev (>= 5.1) -> config-package-dev

commit a2c34bd0738387c249f01a6d943390c788a74bc2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:06:45 2017 +0000

    apparmor profile python3 support

commit a0159874eefc54d6164570dbb27b14dfc0dbe8e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:05:41 2017 +0000

    apparmor profile python3 support

commit a58592cfa74111c9e686905e1def1e37d0c59d0c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 14:30:22 2017 +0000

    bumped changelog version

commit 13fadb99bade549d356d45c9339b23a3c4831697
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 18 08:18:51 2017 +0000

    versioned Depends: tor (>= 0.2.7.3)
    
    https://phabricator.whonix.org/T436

commit f6b66bce1ef9a4b344b59e26358a7ec293b710aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:18:56 2017 +0000

    bumped changelog version

commit 87aeecbac38a998ce2790a6d351c145240d2be56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:23 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit c3ee659949d2974d3fdeec2ae84163e65dcd7a07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 00:04:44 2016 +0000

    bumped changelog version

commit 684a7649af170fe5134303d303d74371bf5fdcee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:38:31 2016 +0000

    readme

commit 49ce21f97965609e4fe06af20005637878324fcc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 00:24:52 2016 +0000

    No longer open Tor ControlPort 9051 on Whonix-Gateway.
    
    No longer required, since tor-arm now supports Tor cookie file authentication.
    
    We don't care about Vidalia, since it has long been deprecated and removed from Debian.
    
    control-port-filter-python also uses Tor cookie file authentication.

commit 4c87a6aa5a079932186f9fe797fe54e37197b762
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Aug 13 01:34:21 2016 +0200

    comment

commit 17b4b11343b2623b379ff8a83e3e77db410bb8ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 4 23:04:38 2016 +0000

    monitor /var/lib/tor/lock using access rights modifications
    
    https://phabricator.whonix.org/T537

commit 7fb0b9c86c71df9fdb607e5aa1fcf05834b671cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 3 22:22:01 2016 +0000

    update /usr/share/tor/tor-service-defaults-torrc
    
    For compatibility with Tor version 0.2.8.6-1~d80.jessie+1.
    
    /var/run/tor/control was no longer created and Tor throwing a warning.
    
    Aug 03 21:56:34.000 [warn] Permissions on directory /var/run/tor are too permissive.
    Aug 03 21:56:34.000 [warn] Before Tor can create a control socket in "/var/run/tor/control", the directory "/var/run/tor" needs to exist, and to be accessible only by the user and group account that is running Tor.  (On some Unix systems, anybody who can list a socket can connect to it, so Tor is being careful.)
    
    Which resulted in a follow up issues:
    - control-port-filter-proxy-python no longer working
    - whonixcheck error: Tor's Control Port could not be reached!
    - broken Tor Browser new identity button
    
    Thanks to freeman, torjunkie and temple for reporting this issue!
    
    https://forums.whonix.org/t/error-tor-bootstrap-result

commit 5703999aa7b2dd98d86a4b1b231c38bc95ec167f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 1 16:44:30 2016 +0000

    minor

commit 5bf3e6c50085d090e24e235ecd6923b72d6eb5e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 1 16:43:54 2016 +0000

    comment

commit ca8e817f1102945771d014a418fca472d99cceaa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 1 16:42:17 2016 +0000

    Updated Tor Browser port comments.
    
    Thanks to singsong for the report!
    
    https://forums.whonix.org/t/tor-browser-tor-browser-bundle-ports

commit e97314a24166718351a35a82b599e827c01d9fdc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 19 19:44:38 2016 +0000

    bumped changelog version

commit fd7917416ef91e15b99c5ae54ff57a2a9543ce7a
Merge: 3d3031a 5fa43a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 14 23:33:19 2016 +0000

    Merge remote-tracking branch 'origin/master'

commit 5fa43a42feed0d766d42f946cfb0f21aa5f0b9c8
Merge: 3d3031a c301753
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 14 23:32:40 2016 +0000

    Merge pull request #4 from 3n7r0p1/patch-1
    
    Update tor-service-defaults-torrc.anondist

commit c301753b9c31a429a98d04b4986bfb9966011cdf
Author: 3n7r0p1 <3n7r0py@riseup.net>
Date:   Thu Apr 14 23:19:52 2016 +0000

    Update tor-service-defaults-torrc.anondist
    
    Provide stream isolation for multiple identities / connections in Tor Messenger.
    Similar to Instant Messenger SocksPort 9103.

commit 3d3031a9f6e30f42f9feb985e5d5407ad1d52299
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 14 21:14:44 2016 +0000

    bumped changelog version

commit 93b31efe6df6f118f66098a47f6d6964e2249a05
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 13 17:02:30 2016 +0000

    no longer download from deb.torproject.org because it gets uploaded to Whonix repo
    
    https://phabricator.whonix.org/T472

commit 950b9c4edfc840a89fad630f3df14835c413789f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 9 15:30:00 2016 +0000

    added anon-info - shows Tor apt repository status and Tor package version
    
    https://phabricator.whonix.org/T472

commit 026714c9c09934505c6a0180c26e25430d2300e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:23 2016 +0000

    bumped changelog version

commit 8db878bb634f01e6789c4e44ee10ce2d24f3d1d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 6 20:10:59 2016 +0000

    download packages tor and tor-geoipdb from The The Project's apt repository
    
    using apt-during-apt
    
    thereby abolished previous chroot scripts for doing that

commit 51cc21ec024cd28b690936386b59f8051ba2770a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 28 11:15:21 2016 +0100

    tor -> tor@default

commit 1917a99edaaf99187910f3e544b26b007d6ba38b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 10 19:54:53 2015 +0000

    system_tor.anondist: use @{HOME} rather than hardcoding /home/user

commit c02c2f8ceedcf6a05073849e253b9ddf80caaf34
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 9 19:16:27 2015 +0000

    open Tor reload/restart/stop and tor-arm starters maximized by default in Konsole
    
    https://phabricator.whonix.org/T451

commit a93be97087ee78edf5239550baf95cab8d14f02b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 9 19:06:45 2015 +0000

    added missing dependency kwrite - required for opening files from starters

commit 1323788cc668d859144559ca47d6933297796060
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 28 19:52:32 2015 +0000

    path updates for flashproxy

commit 230e0ad4b9504510c905c47dd1c09df12e04c889
Merge: 3db10c8 4f1c421
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Nov 28 19:46:05 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 4f1c421ef23b08d7fdb52f3cb3787b93d2dd3e1f
Author: troubadoour <trobador@riseup.net>
Date:   Fri Nov 27 21:48:17 2015 +0000

    usr.bin.obffproxy.anondist
    
    Separate anondist profile for obfsproxy.
    When in system_tor anondist, the additional apparmor lines
    are not read on first use of scramblesuit.

commit 3db10c81dc292577130dd7171a915da20ab248aa
Merge: 877721a 8ff911f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 26 22:37:12 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 8ff911fcdc27ec9e34a08ed4efee70ef38411d3e
Author: troubadoour <trobador@riseup.net>
Date:   Thu Nov 26 21:23:51 2015 +0000

    fix apparmor denied messages for obfs3 / scramblesuit transports

commit 877721a442aac45e55a7a2ee504f35b2cb1f6dba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 24 12:28:33 2015 +0000

    comment

commit 70b9436b9178e0b8b79b42625ec7ff2886be017b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 24 12:24:38 2015 +0000

    Workaround: Not using versioned 'Depends:' on 'tor'.
    Ideally we would depend on 'tor (>= 0.2.7.3)' because we are using,
    'KeepAliveIsolateSOCKSAuth' which is not available in earlier versions.
    It would break the build. Debian jessie only has 'tor' '0.2.5'. Which is
    the only available repository at anon-gw-anonymizer install time.
    (1700_install-packages) The Tor Project's deb repository with Tor 0.2.7 is
    added only afterwards. (2300_run-chroot-scripts-post-d) This workaround can
    likely be removed once Whonix is based on Debian stretch.
    
    https://github.com/Whonix/anon-gw-anonymizer-config/pull/3

commit 5309347a9fe9a63569eafb22aee1474732dba6d0
Merge: 5d78a39 ec8665c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 24 11:56:30 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit ec8665c85c7e030904391ff7f163005cd34d127c
Merge: 5d78a39 50057f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Nov 24 11:54:28 2015 +0000

    Merge pull request #3 from rustybird/KeepAliveIsolateSOCKSAuth
    
    Use KeepAliveIsolateSOCKSAuth against TB fingerprinting

commit 50057f729b099bb0a356c12474295fd897acdf03
Author: Rusty Bird <rustybird@openmailbox.org>
Date:   Tue Nov 24 10:22:03 2015 +0000

    Synchronize TB SocksPort options against fingerprinting

commit 5d78a39d975a8e586c824c44630c97d2a3a779fa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 22 23:37:28 2015 +0000

    enable Transparent Proxy Ports for Whonix-Gateway by default
    
    TransPort 127.0.0.1:9041
    DnsPort 127.0.0.1:5400
    
    But still not enable transparent proxying by default in Whonix-Gateway firewall
    settings. This is required so we can
    'redirect tinyproxy traffic to 127.0.0.1 instead to qubes-netvm-gateway'.
    
    https://phabricator.whonix.org/T434

commit 70efe1ca2691bba480391bf10e9ac0fef3d4d2d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 22 23:34:35 2015 +0000

    fixed comment

commit 16d37202772d33a8d7d6f27f43d0f8e6710104d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 22 23:12:31 2015 +0000

    bumped changelog version

commit a2aa9e90b344cb4fc01cacc73ac2007b47e3f42e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 3 12:57:01 2015 +0000

    added Tor SocksPort 9125 for yum

commit c162702b866022ef8397f4e03b2a74a57dfc752e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:07:31 2015 +0000

    bumped changelog version

commit fedc389dceffb4018e32c5d7fa9a19da45c41fa1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:47:08 2015 +0000

    bumped changelog version

commit 4313babb7bf3a91dbbe41e977cd5dfbf4c0f7f64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 20 00:37:41 2015 +0000

    Migrated from port Tor's DnsPort 53 to 5300. No longer listening on port 53 but rather on a port higher than 1024 to avoid issues with reloading Tor. (Tor drops privileges and is then unable to create listeners below 1024.)

commit 64812ce936a34ae7ec6eeff62dbfd83c9ca2a5f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 18 01:24:49 2015 +0000

    added obfs4 bridge example to /etc/tor/torrc.examples

commit bac763816f16cc5fd9dbd0c7ab261db8f351289a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 14:15:24 2015 +0000

    chmod +x usr/lib/gateway-shortcuts/tordata

commit 03ddf500f913576364c737dfd8788c503ebc4685
Merge: 769873b aef3117
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 14:14:45 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit aef3117adfaa440cb57fc45eedf15007f1f31222
Merge: b0b35d2 abc4bb4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 16:14:01 2015 +0200

    Merge pull request #1 from HulaHoopWhonix/patch-2
    
    Tor data desktop file

commit b0b35d2b02dd13976bc6be04f9ae65e3bc66ee83
Merge: 769873b f975ee3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 10 16:13:55 2015 +0200

    Merge pull request #2 from HulaHoopWhonix/patch-3
    
    Create tordata

commit f975ee319d13f5972779a22c329dc91dc417a33b
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Jun 21 03:02:55 2015 +0000

    Create tordata

commit abc4bb4c26fa2ab752c32ff6c1b4c7a076a7160e
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sun Jun 21 02:56:31 2015 +0000

    Tor data desktop file

commit 769873b67879d5e8cae005d7de33a8c0a71b2dc1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 14:58:52 2015 +0000

    bumped changelog version

commit 72f659646130865fba47699245e73396be9c2745
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:55:31 2015 +0000

    bumped changelog version

commit c4d62f0364b0a2a4046ae5823a252ab1cc131930
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 15:21:44 2015 +0000

    added 'Keywords=' to '.desktop' files to fix lintian warning 'desktop-entry-lacks-keywords-entry' - https://phabricator.whonix.org/T281

commit 5d35bc4f3ac0e33e0719f6c11b262ab76d553b87
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 15:19:05 2015 +0000

    lintian warning copyright fix

commit d1fa239d049e127ab1e026c86492b04468525ee2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:42:57 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit ac93fc5011155e4a25bb1f3b03d7e514b6690e60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 27 14:01:06 2015 +0000

    lintian warning copyright fix

commit 5d522fde953d6a40b9f373adb99c820889d00530
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:15:41 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit b8e56a1b99a1e78830bf2a05646eb1d764074b79
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:40:54 2015 +0000

    bumped changelog version

commit ba393c0a69236a1a55590699aa64aa8591ec0dea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:40:51 2015 +0000

    added genmkfile to Build-Depends

commit 3cdd024d95ac6d551763318171b7b1bcf9302a8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:15 2015 +0000

    updated makefile generic to version 1.5

commit 962f070f0dec64972bbc7f77e77f7b4a968c9cc5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:03 2015 +0000

    bumped changelog version

commit e1b4aa460bf42d0c7f1c5b72dd8043373d65a7ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:11 2015 +0000

    updated makefile generic to version 1.4

commit 05c065ad9cc44fd757ec93fd2c4a6864e8e5d349
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 10 01:09:32 2015 +0000

    recommend control-port-filter-python rather than control-port-filter

commit 199d5bde13cdf13343f311f3a2929ea8989ee451
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 04:21:19 2015 +0000

    maintainer script output

commit 1ba36b67729785e45ac8fa898864108db23dac8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:55:54 2015 +0000

    bumped changelog version

commit 45b4ac51dbcb3cef154c40f7765bb3aaab5c532b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:44:34 2015 +0000

    added changelog.upstream

commit caf5968af72d797305439708aa008bca4d3bacd4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:40:18 2015 +0000

    updated makefile generic to version 1.3

commit abdb56772880564c2fe77a1f07f42d144415468d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:58:25 2015 +0000

    Added creation of upstream changelog to debian/rules

commit 672b3e3430c09c53a3e53ca25d46e5530edbb7da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 18:15:22 2015 +0000

    reserved SocksPort 10.152.152.10:9152 for Tor Messenger

commit ae79b18b91477c9d58d624d6bb96b9034697f8cb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 7 19:33:22 2015 +0000

    bumped compat from 8 to 9

commit 9adb5974d399f9b1202e6072500fe56b0d38271b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 5 19:01:02 2014 +0000

    updated generic makefile

commit 07973fb6aee7a15f3e38841b2ca92ae7b12c6ae6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 21 01:27:49 2014 +0000

    fix

commit 82e3d1e50ecd4a7efa516e398b58b8d5b1ded60b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 14 19:37:58 2014 +0000

    more restrictive sudoers settings

commit 239522786d38937052556f78f06003b5cb4ceb97
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 28 22:35:09 2014 +0000

    makefile: refactoring, avoid using IFS

commit 808267e9486c79093d7b82c16ec61a6ed900f9e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 01:58:47 2014 +0000

    makefile:
    - make debdist; make undebdist
    - cleanup
    - refactoring

commit 46c3232f7e569f3848e7fb8a7067b23329017000
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 23 22:42:59 2014 +0000

    makefile:
    - new target "make undist", which deletes the upstream tarball
    - $DISTDIR variable for make (un)dist, which defaults to ".." and can be used to create upstream tarballs in arbitrary locations
    - refactoring, all function names and global variables now start with "make_" to make the script `source`ing friendly
    - made `source`able

commit 65648da69af23dadada9fd1ace5dfadd6f4385aa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 13 12:36:46 2014 +0000

    readme

commit 47b7f62e373df93d35b195a8c1983cd88dd33a83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 28 20:07:49 2014 +0000

    Fixed execution of /etc/cron.weeky/tor as per https://www.whonix.org/forum/index.php/topic,584.0.html, thanks to ir1s (https://www.whonix.org/forum/index.php?action=profile;u=335) for the bug report!

commit 2777d2e899789d930d3c16beccbbc37c16a0bdd8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 24 17:41:38 2014 +0000

    bumped version number

commit 86a708a2e40bfc01aaefc142fcf9299ed039095a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 24 17:41:02 2014 +0000

    anon-gw-anonymizer-config: Fixed startup of Tor due to an AppArmor conflict as per bug reports in the forums https://www.whonix.org/forum/index.php/topic,559.0.html. Needed to out commented "/usr/bin/obfsproxy rix," in file "/etc/apparmor.d/local/system_tor.anondist" because The Tor Project added "/usr/bin/obfsproxy PUx," to file "/etc/apparmor.d/abstractions/tor". Therefore users of obfsproxy will now end up running obfsproxy unconfined, because we would now require a standalone obfsproxy AppArmor profile. Note, that this is not a Whonix specific issue. Also if you were using plain Debian, no one redistributes an obfsproxy AppArmor profile at time of writing.

commit c0a0d1454670968cc12af79ad550d404e7d44520
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 19 18:52:22 2014 +0000

    makefile: added new feature "make deb-chl-bumpup" - Bump upstream version number in debian/changelog.

commit 5369dfa88c77ea3e76ad537d0246345cf5c336ae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:54:19 2014 +0000

    Updated debian/changelog.

commit 532a0a8da7667dc72b152d51e78b03398073bdf6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 20:47:22 2014 +0000

    Fixed changelog date.

commit ffb65f1d593d66e77999cfbad504f44b19e56ee8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 17 18:03:19 2014 +0000

    bump version number

commit 15e8e86d4136a52d9358339e42ce30fbd7c98324
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 14 13:35:09 2014 +0000

    Implemented make deb-icup: Combination of make deb-pkg, make deb-pkg-install and make deb-pkg-cleanup.

commit df2c607e096622c8ad21246bc4b9e7df2fd33679
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 10 13:28:17 2014 +0000

    fixed, Recommends: control-filter-proxy -> Recommends: control-port-filter

commit 7941467ee8caa4d19dab6fae7d9579a277c5897d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 12:42:21 2014 +0000

    packaging

commit e1c4805d6f92ea5ee7cdab39e31f9bae3e0174c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 27 04:01:05 2014 +0000

    packaging

commit f70f103be2a68dae1d31c48f0599ef3691256c76
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 26 15:26:31 2014 +0000

    packaging

commit 4761638455b3dfe74df1a61bb7ea74f582132e64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 17:10:56 2014 +0000

    packaging

commit 19217e5bceacc89c1ae68c513fb8baae1e58b6b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 12 15:34:11 2014 +0000

    packaging

commit 61ff5d61a13c26311801c927c5c090622da036da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jul 11 16:13:42 2014 +0000

    Added extra log file /run/tor/log that won't survive reboot. (Existing log file /var/log/tor/log that survives reboot will continue to exist.) And added necessary AppArmor rules. Thanks to @troubadoour who figured out the AppArmor rules (https://www.whonix.org/forum/index.php/topic,372.0/topicseen.html). This is useful, so whonixcheck can grep the log for clock specific warnings.

commit 92b0f66b2146e5f37175ec14abd8e761284affa4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 5 08:09:39 2014 +0000

    Bumped debian revision number to avoid lintian warning "new-package-should-close-itp-bug" so we can use lintian --fail-on-warnings as sanity test.

commit a964eba7d9c584f1f52ec118862de2139ad04449
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 27 15:55:18 2014 +0000

    start menu entries

commit 61b862466606f7d513ec74f79740c54f4355288a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 24 15:45:07 2014 +0000

    added debian epoch; added dotglob

commit fb274cd3b9e3773cc6812fdd5c5f8d124ade357c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 20 17:12:15 2014 +0000

    hide unnecessary output in maintainer scripts

commit 2d533adec207be7bce624bc1b91a73b0b6d2faa3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 20 08:30:02 2014 +0000

    postinst: added || true to avoid an error in case the init script has been chmodded -x in meanwhile or in case the original config is erroneous.;
    added postrm: restart init script after uninstalling this config package

commit 02067a40f5edeabb2e30ab57acce3885e0a66ee5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 10 14:11:34 2014 +0000

    update IP as per https://www.whonix.org/forum/index.php/topic,107.0.html

commit d7eab91944c1e26da9685fde759a112c2aa104b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 4 21:13:11 2014 +0000

    force-reload Tor, if running

commit 40380e259d4cec2e902ea66bef469637469c1405
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 3 18:27:19 2014 +0000

    readme

commit 44d492790a7f709c5f3964a60422be14f9ea7121
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 2 14:33:22 2014 +0000

    packaging

commit 20f910c7459320fba69701b5185ea04ff9d66cce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 1 15:26:00 2014 +0000

    readme

commit df14dc9a716294fcf43e4b3d05030aee4de22483
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 1 15:25:54 2014 +0000

    packaging

commit 559d0e4f780fea3c54e5c60965d1b5499fcf4120
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 29 11:03:43 2014 +0000

    comments

commit 7097f02beffb28b734c1c6e3dfe72d35afa31fa6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 29 10:55:24 2014 +0000

    packaging

commit d91afa3e04026b91d50e1e3ab274bb6eabfde629
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 11 17:29:37 2014 +0200

    .

commit e6b0b59adacf06d9682b2732ba029c265b57f43f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 11 17:20:51 2014 +0200

    .

commit 3199d7b3356db639463116627baf0b04cac7b7cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 29 19:40:32 2014 +0000

    refactoring

commit 62f4e5603ffd6a7ee3b30000bfbdb421073008f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 20 15:32:57 2014 +0000

    .

commit c23c7ae0564bd9f89d58c87eda1cae4ea0503114
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 20 14:05:50 2014 +0000

    renamed from whonix-tor-config to anonymizer-config-gateway

commit d83bc1a8119c06770cd02dc9cec24d957336892f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 18 12:55:09 2014 +0000

    .

commit c68ee888ddb330b84e895252497867d9e84aeed9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 6 18:26:32 2014 +0000

    .

commit 728c37c5786d7e5a7042986c6e84caf67bbcf6f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 6 18:11:30 2014 +0000

    refactoring

commit be4b8cce0c67123049cb9b584e797dbbf4a0a2ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 13 22:16:19 2014 +0000

    fixed package description

commit 0c3eabda82bf0d5fe4a4c71a6735c2d60fd5af3e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 13 22:10:36 2014 +0000

    initial implementation
